<?php
// Get variables Glocal_Options
//Site options
$opt_glocal_site_logo = get_option('opt_glocal_site_logo');
$opt_glocal_footer_text = get_option('opt_glocal_footer_text');
$opt_glocal_footer_copyright = get_option('opt_glocal_footer_copyright');
$opt_glocal_boxed_version = get_option('opt_glocal_boxed_version');
$opt_glocal_footer_widget = get_option('opt_glocal_footer_widget');
//Social links
$opt_glocal_social_fb = get_option('opt_glocal_social_fb');
$opt_glocal_social_gp = get_option('opt_glocal_social_gp');
$opt_glocal_social_tw = get_option('opt_glocal_social_tw');
$opt_glocal_social_li = get_option('opt_glocal_social_li');
$opt_glocal_social_pt = get_option('opt_glocal_social_pt');
$opt_glocal_social_dr = get_option('opt_glocal_social_dr');

$opt_glocal_flickr_id = get_option('opt_glocal_flickr_id');
?>
<footer class="section <?php  if($opt_glocal_boxed_version == 'yes') {echo 'boxed';} else { echo '32424';}; ?>">
    <div class="footer-wrapper">
        <?php if($opt_glocal_footer_widget == 'false') {?>
        <div class="zone-footer zone clearfix">
            <div class="footer-container container-24">
                <div class="website-short-description block">
                    <?php if($opt_glocal_site_logo){ $logo_url = $opt_glocal_site_logo; } else {$logo_url = get_template_directory_uri().'/images/logo.png';}?>
                    <img src="<?php echo $logo_url; ?>" class="logo" alt="" />
                    <div class="description-text">
                        <?php echo $opt_glocal_footer_text; ?>
                    </div>
                </div>
                <div class="twitter-feed block">
                    <h3 class="title"><?php echo __('Recent Tweets','glocal_site'); ?></h3>
                    <div id="twitter-feed">
                        <?php  get_template_part ('/include/php/twitter') ;?>
                    </div>
                </div>
                <div class="recent-posts block">
                    <h3 class="title"><?php echo __('Recent Posts','glocal_site'); ?></h3>
                    <?php
                        add_filter('option_show_on_front', '__return_false');

                        global $wp_query;
                        query_posts(array(
                            'paged' => $wp_query->get('paged'),
                            'post_type' => array('post'),
                            'posts_per_page' => 4
                        ));

                        get_template_part('loop-footer-post');

                        remove_filter('option_show_on_front', '__return_false');
                        wp_reset_query();
                        wp_reset_postdata();
                    ?>
                </div>

                <?php if ($opt_glocal_flickr_id): ?>
                    <div class="flickr-feed block">
                        <h3 class="title"><?php echo __('Flickr Feed','glocal_site'); ?></h3>
                        <div id="flickr-feed"><?php echo $opt_glocal_flickr_id; ?></div>
                    </div>
                <?php endif; ?>



            </div>

        </div>
        <?php } else {?>
        <div class="zone-footer zone clearfix">
            <div class="footer-container container-24">
                <div class="website-short-description block">
                    <?php if($opt_glocal_site_logo){ $logo_url = $opt_glocal_site_logo; } else {$logo_url = get_template_directory_uri().'/images/logo.png';}?>
                    <img src="<?php echo $logo_url; ?>" class="logo" alt="" />
                    <div class="description-text">
                        <?php echo $opt_glocal_footer_text; ?>
                    </div>
                </div>
                <?php
                /* When we call the dynamic_sidebar() function
                 */
                if ( ! dynamic_sidebar( 'footer-widget-area' ) ) : ?>

                <?php endif; // end primary widget area ?>
            </div>
        </div>
        <?php }?>
        </div><!-- end of .zone-footer -->
    </div><!-- end of .footer-wrapper -->
    <div class="copyright-wrapper">
        <div class="zone-copyright zone clearfix">
            <div class="copyright-left-container container-12">
                <div class="copyright block"> <?php echo $opt_glocal_footer_copyright; ?>   </div>
            </div>
            <div class="copyright-right-container container-12">
                <div class="social-links block">
                    <?php if($opt_glocal_social_fb): ?>
                        <a href="<?php echo $opt_glocal_social_fb; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/facebook-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                    <?php if($opt_glocal_social_gp): ?>
                        <a href="<?php echo $opt_glocal_social_gp; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/google-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                    <?php if($opt_glocal_social_tw): ?>
                        <a href="<?php echo $opt_glocal_social_tw; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/twitter-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                    <?php if($opt_glocal_social_li): ?>
                        <a href="<?php echo $opt_glocal_social_li; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/linkedin-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                    <?php if($opt_glocal_social_pt): ?>
                        <a href="<?php echo $opt_glocal_social_pt; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/pinterest-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                    <?php if($opt_glocal_social_dr): ?>
                        <a href="<?php echo $opt_glocal_social_dr; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/dribbble-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                </div>
            </div>
        </div><!-- end of .zone-copyright -->
    </div><!-- end of .copyright-wrapper -->
    <div id="sokolby-info" style="display: none">  <!-- dev_debug_info start -->
        <div class="copyright">uouapps <span>2013</span></div>
        <div class="platform">wordpress <span>3.8</span></div>
        <div class="product_name">Glocal</div>
        <div class="version">v.1.4.2</div>
        <div class="version_date">**/dec/2013</div>
        <div class="plugins">
            <div class="1">Revolution slider<span>v.2.2.3</span></div>
            <div class="2c">uou_maps<span>v.1.2</span></div>
            <div class="3c">uou_search<span>v.1.3</span></div>
            <div class="4c">uou_payments<span>v.0.5</span></div>
            <div class="5c">uou_cp<span>v.1.1</span></div>
            <div class="6c">uou_wpml<span>v.0.5</span></div>
        </div>
        <div class="html_layout">v.1.1</div>
        <div class="code_core">v.1.4</div>
        <div class="developer">sokol_by, anhiel</div>
    </div> <!-- end dev_debug_info -->
</footer>


<!--
<div id="boxed-switch" class="boxed-switch">SWITCH TO BOXED VERSION</div>
-->
<?php wp_footer(); ?>
</body>

</html>


