<?php
//Get variables Glocal_Options
//Site options
$opt_glocal_site_logo = get_option('opt_glocal_site_logo');
$opt_glocal_site_bg = get_option('opt_glocal_site_bg');
$opt_glocal_site_rtl = get_option('opt_glocal_site_rtl');
$opt_glocal_site_banner = get_option('opt_glocal_site_banner');
$opt_glocal_site_headbanner_url = get_option('opt_glocal_site_headbanner_url');
$opt_glocal_boxed_version = get_option('opt_glocal_boxed_version');
$opt_glocal_google_analytics = get_option('opt_glocal_google_analytics');
$opt_glocal_favicon = get_option('opt_glocal_favicon');
$opt_glocal_header_version = get_option('opt_glocal_header_version');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" <?php language_attributes(); ?>
<head>
    <title><?php bloginfo('name');  echo " "; wp_title(); ?> </title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no" />
    <meta name="Description" content="<?php bloginfo('description'); ?>" />

    <meta http-equiv="content-type" content="text/html; charset=<?php bloginfo('charset'); ?>"/>
    <?php
        if ($opt_glocal_favicon)
            {echo "<link rel='shortcut icon' type='image/x-icon' href='".$opt_glocal_favicon ."' />";}
        else
            {echo "<link rel='shortcut icon' type='image/x-icon' href='". get_template_directory_uri()."/favicon.ico'/>";}
    ?>

    <!--[if IE]>
        <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/styles-ie8-and-down.css" />
    <![endif]-->
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

    <?php if ($opt_glocal_site_rtl == "true"): ?>
    <style>

        body {
            font-family: "Titillium Web", Tahoma;
            background: url(images/content/city.jpg) left fixed;
            font-size: 14px;
            color: #4d4d4d;
            margin: 0;
            direction: rtl;
        }

        .welcome .welcome-globe a.left.edge.top {
            padding-left: 9%;
            margin-left: 3%;
            text-align: left;
        }


        .welcome .welcome-globe a.left.middle {
            width: 42%;
            padding-left: 7%;
            margin-left: 1%;
            text-align: left;
        }

        .welcome .welcome-globe a.left.edge {
            width: 38%;
            padding-left: 12%;
            text-align: left;
        }

    </style>
    <?php endif; ?>

    <style>
        body {
            background: url(<?php if(!$opt_glocal_site_bg){echo "'".get_template_directory_uri()."/images/content/city.jpg'";}else{echo $opt_glocal_site_bg;}?>) left fixed;
        }
    </style>


    <?php echo $opt_glocal_google_analytics; ?>
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<header class="section  <?php  if($opt_glocal_boxed_version == 'yes') {echo 'boxed';} else { echo '';}; ?>">
    <?php    get_template_part ('/include/html/str-header', $opt_glocal_header_version);    ?>
</header>