<?php
 // Template for single company profile
 // Extended template   ?>

<div id="company-tabs-contact" class="company-tabs-content">

    <div class="company-content-container container-16">



        <?php if($item_email_form == "Display"): ?>
            <div class="opening-hours company-page-block">
                <div class="block-title">
                    <h3><?php echo __('Message Us','glocal_company'); ?></h3>
                </div>
                <table>
                    <div class="comment-message singlemail">
                        <form method="post" id="contact-single-message-form">
                            <input type="text" name="name" class="text-input-grey-tab name" placeholder="  <?php echo __('Name','glocal_site'); ?> *" />
                            <input type="text" name="email" class="text-input-grey-tab email" placeholder="  <?php echo __('E-mail','glocal_site'); ?> *" />
                            <input type="text" name="website" class="text-input-grey-tab website" placeholder="  <?php echo __('Subject','glocal_site'); ?>" />
                            <textarea name="message" class="text-input-grey comment-message-main" placeholder="  <?php echo __('Your Comments Here','glocal_site'); ?>"></textarea>

                            <input type="text" name="mailto" value="<?php echo $item_email; ?>" style="display:none" readonly/>

                            <input type="submit" name="submit" value="Send Message" id="button-2-green" />
                        </form>
                    </div>
                </table>
            </div>
        <?php endif; ?>

        <div class="company-details block">
            <div class="company-address">
                <div class="details-title"><?php echo __('Address Details','glocal_company'); ?>:</div>
                <div class="detail address"><?php if ($item_adrs_country) {echo $item_adrs_country.', ';} if ($item_adrs_region) {echo $item_adrs_region;} ?></div>
                    <div class="detail phone"><?php echo __('Phone','glocal_company'); ?>: <?php echo $item_phone; ?><br/><?php echo __('Fax','glocal_company'); ?>: <?php echo $item_fax; ?></div>
                <div class="detail email">
                    <?php echo __('E-mail','glocal_company'); ?>: <a href="mailto:<?php echo $item_email; ?>" class="text-colorful"><?php echo $item_email; ?></a><br />
                    <?php echo __('Website','glocal_company'); ?>: <a href="<?php echo $item_website; ?>" class="text-colorful"><?php echo $item_website; ?></a>
                </div>


            </div>
            <div class="company-hours">
                <div class="details-title"><?php echo __('Opening Hours','glocal_company'); ?>:</div>
                <table>
                    <?php if(isset($item_dayint1)): ?>
                        <tr class="detail">
                            <?php
                            $dayint1arr = explode(',', $item_dayint1);
                            echo  '<td class="detail-label">'.$dayint1arr[0].'</td><td class="detail">'.$dayint1arr[1].'</td>';
                            ?>
                        </tr>
                    <?php endif; ?>
                    <?php if(isset($item_dayint2)): ?>
                        <tr class="detail">
                            <?php
                            $dayint2arr = explode(',', $item_dayint2);
                            echo  '<td class="detail-label">'.$dayint2arr[0].'</td><td class="detail">'.$dayint2arr[1].'</td>';
                            ?>
                        </tr>
                    <?php endif; ?>
                    <?php if(isset($item_dayint3)): ?>
                        <tr class="detail">
                            <?php
                            $dayint3arr = explode(',', $item_dayint3);
                            echo  '<td class="detail-label">'.$dayint3arr[0].'</td><td class="detail">'.$dayint3arr[1].'</td>';
                            ?>
                        </tr>
                    <?php endif; ?>
                    <?php if(isset($item_dayint4)): ?>
                        <tr class="detail">
                            <?php
                            $dayint4arr = explode(',', $item_dayint4);
                            echo  '<td class="detail-label">'.$dayint4arr[0].'</td><td class="detail">'.$dayint4arr[1].'</td>';
                            ?>
                        </tr>
                    <?php endif; ?>
                </table>
            </div>
        </div>

    </div><!-- end of .company-content-container -->

    <div class="company-sidebar-container container-8">

        <div class="company-page-map">
            <div class="company-page-map-container">
                <iframe src="https://maps.google.com/maps?q=<?php echo $item_addr_lat; ?>,<?php echo $item_addr_lng; ?>&num=1&ie=UTF8&t=m&ll=<?php echo $item_addr_lat; ?>,<?php echo $item_addr_lng; ?>&z=12&output=embed" style="height: 245px; width: 100%;"></iframe>

            </div>
        </div>
        <div class="company-social block">
            <div class="block-title">
                <h3>Find Us On</h3>
            </div>
            <div class="company-social-links">

                <?php if(isset($item_soc_fb)): ?>
                    <a href="<?php echo $item_soc_fb; ?>" class="facebook" target="_blank"></a>
                <?php endif; ?>
                <?php if(isset($item_soc_tw)): ?>
                    <a href="<?php echo $item_soc_tw; ?>" class="twitter" target="_blank"></a>
                <?php endif; ?>
                <?php if(isset($item_soc_gp)): ?>
                    <a href="<?php echo $item_soc_gp; ?>" class="google" target="_blank"></a>
                <?php endif; ?>
            </div>
        </div>

    </div><!-- end of .company-sidebar-container -->

</div>