<?php
$glocal_search_s = return_search_s();
$glocal_search_location = return_search_location();
$glocal_search_category = return_search_category();

// Get variables Glocal_Options
//Site options
$opt_glocal_search_adv = get_option('opt_glocal_search_adv');
$opt_glocal_search_radius = get_option('opt_glocal_search_radius');
$opt_glocal_search_dist_min = get_option('opt_glocal_search_dist_min');
$opt_glocal_search_dist_max = get_option('opt_glocal_search_dist_max');
$opt_glocal_search_dist_def = get_option('opt_glocal_search_dist_def');
$opt_glocal_search_dist_kmmi =  get_option('opt_glocal_map_kmmi');
$opt_glocal_search_days_max =  get_option('opt_glocal_search_days_max');

?>
<div id="search-params" style="display: none">
    <?php

    if($opt_glocal_search_dist_kmmi){
    echo '<div class="abrv">'.$opt_glocal_search_dist_kmmi.'</div>';
    } else {
        echo '<div class="abrv">km</div>';
    }
    echo '<div class="mininmum">'.$opt_glocal_search_dist_min.'</div>';
    echo '<div class="maximum">'.$opt_glocal_search_dist_max.'</div>';
    echo '<div class="default">'.$opt_glocal_search_dist_def.'</div>';

    if($opt_glocal_search_days_max){
        echo '<div class="dmax">'.$opt_glocal_search_days_max.'</div>';
    } else {
        echo '<div class="dmax">300</div>';
    }
    ?>
</div>
<div class="search-wrapper clearfix">
    <div class="zone-search zone clearfix">

        <div class="search-container container-24">

            <div class="search block">

                <form role="search" id="default-search" class="default-search clearfix" action="<?php echo home_url(); ?>" >
                    <input type="text"  name="s" for="s" id="search-what" class="text-input-black input-text" placeholder="<?php echo __('Insert company name','glocal_site'); ?>" value="<?php echo $glocal_search_s; ?>" />
                    <input type="text" id="search-where" class="text-input-black input-text" name="where" placeholder="<?php echo __('Select a location','glocal_site'); ?>" autocomplete="off"  value="<?php echo $glocal_search_location; ?>" />
                    <select  id="category-selector-default" class="category-selector-default" name="company_category" tabindex="1" onchange="jQuery('#scategory-input-default').focus().val(jQuery(this).val()).select();">
                        <option value=""><?php echo  __('- Select Category -','glocal_site'); ?></option>
                        <?php
                        //Blog Categories
                        $args = array(
                            'type' 			=> 'company',
                            'orderby' 		=> 'name',
                            'order' 		=> 'ASC',
                            'hide_empty'	=> 1,
                            'taxonomy'		=> 'company_category',
                        );
                        $categories = get_categories($args);
                        ?>
                        <?php foreach ($categories as $category ) : ?>
                        <option <?php if ($glocal_search_category == $category->slug){ echo 'selected'; } ?>   value="<?php echo $category->slug; ?>"><?php echo $category->name; ?></option>
                        <?php endforeach; ?>


                    </select>

                    <?php
                    global $wp_query;
                    query_posts(array(
                        'paged' => $wp_query->get('paged'),
                        'post_type' => array('company'),
                        'posts_per_page' => 99999999
                    )); ?>

                    <?php if ( have_posts() ) while ( have_posts() ) : the_post();

                        $index++;

                        $companus[$index][1] = get_the_title();

                        $terms = get_the_terms( $post->ID, 'company_category' );
                        $item_cats = array();
                        $item_cats_slugs = array();
                        $i = 0;
                        if(is_array($terms)) {
                            foreach ($terms as $term ) {
                                $i++;
                                $item_cats_slugs[$i] = $term->slug;
                            }
                        } else {
                            $item_cats_slugs[1] = "nocat";
                            $i = 1;
                        }
                        if ($i == 1) {
                            $companus[$index][2] = $item_cats_slugs[1];
                            $custom_fields = get_post_custom();
                            $country = $custom_fields['glocal_address_country_name'][0];
                            $region = $custom_fields['glocal_address_region_name'][0];
                            $name = $custom_fields['glocal_address_name'][0];

                            $item_addr_lat = $custom_fields['glocal_address_lat'][0];
                            $item_addr_lng = $custom_fields['glocal_address_lng'][0];

                            $places[$index][1] = $country;
                            $places[$index][2] = $region;
                            $places[$index][3] = $name;
                            $address = "";
                            if (($country) AND ($region) AND ($name)) {
                                $address = $country.', '.$region.', '.$name;
                            } else if (($country) AND ($region)) {
                                $address = $country.', '.$region;
                            } else if (($country) AND ($name)) {
                                $address = $country.', '.$name;
                            } else if (($region) AND ($name)) {
                                $address = $region.', '.$name;
                            } else if ($country) {
                                $address = $country;
                            } else if ($region) {
                                $address = $region;
                            } else if ($name) {
                                $address = $name;
                            }
                            $companus[$index][3] = $item_addr_lat;
                            $companus[$index][4] = $address;
                            $companus[$index][5] = get_permalink();
                            $companus[$index][6] = get_the_post_thumbnail();
                            $companus[$index][7] = $item_addr_lng;
                        } else if ($i > 1) {
                            $companus[$index][2] = $item_cats_slugs[1];
                            $custom_fields = get_post_custom();
                            $country = $custom_fields['glocal_address_country_name'][0];
                            $region = $custom_fields['glocal_address_region_name'][0];
                            $name = $custom_fields['glocal_address_name'][0];

                            $item_addr_lat = $custom_fields['glocal_address_lat'][0];
                            $item_addr_lng = $custom_fields['glocal_address_lng'][0];

                            $places[$index][1] = $country;
                            $places[$index][2] = $region;
                            $places[$index][3] = $name;
                            $address = "";
                            if (($country) AND ($region) AND ($name)) {
                                $address = $country.', '.$region.', '.$name;
                            } else if (($country) AND ($region)) {
                                $address = $country.', '.$region;
                            } else if (($country) AND ($name)) {
                                $address = $country.', '.$name;
                            } else if (($region) AND ($name)) {
                                $address = $region.', '.$name;
                            } else if ($country) {
                                $address = $country;
                            } else if ($region) {
                                $address = $region;
                            } else if ($name) {
                                $address = $name;
                            }
                            $companus[$index][3] = $item_addr_lat;
                            $companus[$index][4] = $address;
                            $companus[$index][5] = get_permalink();
                            $companus[$index][6] = get_the_post_thumbnail();
                            $companus[$index][7] = $item_addr_lng;
                            for ($k = 2; $k <= $i; $k++) {
                                $index++;
                                $companus[$index][1] = $companus[$index - 1][1];
                                $companus[$index][2] = $item_cats_slugs[$k];
                                $companus[$index][3] = $companus[$index - 1][3];
                                $companus[$index][4] = $companus[$index - 1][4];
                                $companus[$index][5] = $companus[$index - 1][5];
                                $companus[$index][6] = $companus[$index - 1][6];
                                $companus[$index][7] = $companus[$index - 1][7];
                                $places[$index][1] = $places[$index - 1][1];
                                $places[$index][2] = $places[$index - 1][2];
                                $places[$index][3] = $places[$index - 1][3];
                            }
                        }
                    endwhile;

                    ?>



                    <input type="text" id="scategory-input-default" style="display: none;" name="cat"/>
                    <input type="submit" class="submit" value="search" name="search_simple" />
                </form>


                <form id="advanced-search" class="advanced-search search-collapsed clearfix"  action="<?php bloginfo('url'); ?>/search/">
                    <?php if($opt_glocal_search_radius == "true"): ?>
                    <div class="clearfix">
                        <label><?php echo __('Distance around my position:','glocal_site'); ?></label>
                        <div id="slider-distance" class="slider"></div>
                        <div id="distance" class="slider-value"></div>
                    </div>
                    <?php endif; ?>

                    <div class="clearfix" style="display: none">
                        <label><?php echo __('Rating:','glocal_site'); ?></label>
                        <div id="slider-rating" class="slider"></div>
                        <div id="rating" class="slider-value"></div>
                    </div>
                    <div class="clearfix">
                        <label><?php echo __('Days Published:','glocal_site'); ?></label>
                        <div id="slider-days-published" class="slider"></div>
                        <div id="days-published" class="slider-value"></div>
                    </div>
                    <label><?php echo __('Location:','glocal_site'); ?></label>
                    <div class="location-fields clearfix">
                        <select id="country-selector-advanced" name="where" tabindex="1">
                            <option value=""><?php echo __('Country','glocal_site'); ?></option>

                        <?php
                            $places_count = 1;
                            for ($index = 1; $index <= count($places); $index++) {

                                    if ($places[$index][1]) {
                                        $counter = 0;
                                        if(isset($places_filtered)){
                                            for ($i = 1; $i <= count($places_filtered); $i++ ) {
                                                if ($places_filtered[$i] == $places[$index][1]) {
                                                    $counter++;
                                                }
                                            }
                                        }
                                        if ($counter == 0) {
                                            $places_filtered[$places_count] = $places[$index][1];
                                            $places_count++;
                                        }
                                    }

                            }

                            for ($index = 1; $index <= count($places_filtered); $index++) {
                                $places_filtered_val = preg_replace('/\s+/', "_", $places_filtered[$index]);
                                echo '<option value="'.strtolower($places_filtered_val).'">'.$places_filtered[$index].'</option>';
                                if ($index != count($places_filtered)) {echo ' ';}
                            }

                        ?>
                        </select>
                        <input type="text" class="input-region text-input-black" placeholder="<?php echo __('Region','glocal_site'); ?>" name="region" />
                        <input type="text" class="input-city text-input-black" placeholder="<?php echo __('Address','glocal_site'); ?>" name="address" />
                    </div>
                    <label><?php echo __('Industry:','glocal_site'); ?></label>
                    <select id="category-selector-advanced" name="company_category" tabindex="1">
                        <option value=""><?php echo __('- Select -','glocal_site'); ?></option>
                        <?php foreach ($categories as $category ) : ?>
                            <option value="<?php echo $category->slug; ?>"><?php echo $category->name; ?></option>
                        <?php endforeach; ?>
                    </select>
                    <?php
                    $name_field = add_fields_search();
                    $count_field = count($name_field);

                    for ($ind = 0; $ind < $count_field; $ind++) {
                    $addfields[$ind][0] = $name_field[$ind];
                    $value = 'opt_glocal_advsearch_fields_'.$ind.'';
                    $addfields[$ind][1]= get_option($value);
                        if($addfields[$ind][1] == "true"):?>
                        <label><?php echo $addfields[$ind][0]; ?></label>
                        <input type="text" class="input-additional text-input-black" placeholder="<?php echo  $addfields[$ind][0]; ?>" name="<?php echo  strtolower($addfields[$ind][0]); ?>"  style="width: 60%;"/>
                    <?php
                         endif;
                    }
                    ?>


                    <?php
                    $name_field = add_type_fields_search();
                    $count_field = count($name_field);

                    for ($ind = 0; $ind < $count_field; $ind++) {
                        $addfields[$ind][0] = $name_field[$ind];
                        $value = 'opt_glocal_advsearch_fields_type_'.$ind.'';
                        $addfields[$ind][1]= get_option($value);
                        if($addfields[$ind][1] == "true"):?>
                            <label><?php echo $addfields[$ind][0]; ?></label>
                            <input type="text" class="input-additional text-input-black" placeholder="<?php echo  $addfields[$ind][0]; ?>" name="<?php echo  strtolower($addfields[$ind][0]); ?>"  style="width: 60%;"/>
                        <?php
                        endif;
                    }
                    ?>

                    <div class="clearfix"></div>
                    <div class="separator"></div>
                    <input id="distance-input" name="distance" style="display: none" />
                    <input id="rating-input" name="rating" style="display: none"/>
                    <input id="days-published-input" name="days" style="display: none"/>


                    <input type="submit" class="submit" value="search" name="adv-submit" />
                </form>
            <?php if($opt_glocal_search_adv == 'true'): ?>
                <div class="advanced-search-control">
                    <a href="#" id="advanced-search-button" class="advanced-search-button"><?php echo __('Advanced Search','glocal_site'); ?></a>
                </div>
            <?php endif; ?>
            </div>


        </div>

    </div><!-- end of .zone-search -->
</div><!-- end of .search-wrapper -->

<?php

remove_filter('option_show_on_front', '__return_false');
wp_reset_query();
wp_reset_postdata();