<?php
//Blog Categories
$args = array(
    'type' 			=> 'company',
    'orderby' 		=> 'name',
    'order' 		=> 'ASC',
    'hide_empty'	=> 1,
    'taxonomy'		=> 'company_category',
);
$categories = get_categories($args);

if(isset($_GET['adv-submit'])){
    if ($_GET['adv-submit'] == 'search') {
        $company_category = $_GET['company_category'];
    }
}
?>
<div class="map-wrapper">

    <div id = "map" class = "map">
        <div id = "map-frame" class = "map-frame">
        </div>
    </div>
    <div id = "map-trobber"><img src = "<?php echo get_template_directory_uri(); ?>/images/loader.gif" height="100px" width="100px" /></div>
    <div id = "map-error" style="display: none">No search results.</div>
    <div class="hide-map-control">
        <a href="#" id="hide-map-button" class="hide-map-button map-expanded">Hide Map</a>
    </div>


    <?php
    $map_disablebtn = get_option('opt_glocal_map_disablebtn');
    if($map_disablebtn == "true"): ?>
    <div class="disable-map-control">
        <a href="#" id="disable-map-button" class="disable-map-button map-enable">
        </a>
    </div>
    <?php endif; ?>
</div><!-- end of .map-wrapper -->

<div class="industries-tabs-wrapper">
    <div class="zone-industries-tabs zone clearfix">

        <div class="industries-tabs-container container-24">
            <?php if ($categories): ?>
            <div id="industries-tabs" class="industries-tabs block">
                <div id="company_category_search" style="display: none;"><?php echo $company_category?></div>
                <ul class="clearfix">
                    <?php
                    $index = 0;
                    foreach ($categories as $category ) {
                        $class = '';
                        if ($index == 0) {$class = 'first';}
                        if (($company_category == '') AND ($index == 0)) {$class = $class.' active';}
                        else if ($category->slug == $company_category) {$class = $class.' active';}
                        if ($category->slug) {
                            echo '<li class="'. $class.'">';
                            echo'<a href="#" id="'.$category->slug.'" class="'.$category->slug.'" title="'.$category->name.'"></a>';
                            echo '</li>';
                        }
                        $index++;
                    }
                    ?>
                </ul>
            </div>

            <?php
                echo'<style>';
                foreach ($categories as $category ) {
                    if ($category->slug) {
                        $categoryid = $category->term_id;
                        $icon = get_option('glocal_category_'.$categoryid.'_icon_grey');
                        $icon_hover = get_option('glocal_category_'.$categoryid.'_icon');
                        if ($icon) {
                            echo'.industries-tabs ul li a.'.$category->slug.' { background: url("'.$icon.'") no-repeat center center; }'."\n";
                            echo'.industries-tabs ul li.active a.'.$category->slug.', .industries-tabs ul li a.'.$category->slug.':hover { background: url("'.$icon_hover.'") no-repeat center center; }'."\n";
                        } else {
                            echo'.industries-tabs ul li a.'.$category->slug.' { background: url("'.get_template_directory_uri().'/images/icons/'.$category->slug.'-grey.png") no-repeat center center; }'."\n";
                            echo'.industries-tabs ul li.active a.'.$category->slug.', .industries-tabs ul li a.'.$category->slug.':hover { background: url("'.get_template_directory_uri().'/images/icons/'.$category->slug.'-green.png") no-repeat center center; }'."\n";
                        }
                    }
                }
                echo'</style>';
            ?>

            <?php endif; ?>


        </div>

    </div><!-- end of .zone-industries-tabs -->
</div><!-- end of .industries-tabs-wrapper -->

<?php if(get_option('opt_glocal_map_hide') == "true"): ?>
<script>
    var $ = jQuery.noConflict();
    jQuery(document).ready(function(){
        setTimeout(function() {
            jQuery('#map').animate({ height: '160px' });
            jQuery("#hide-map-button").text('Show Map').removeClass('map-expanded').addClass('map-collapsed');
        }, 750)

    });
</script>
<?php endif; ?>

<?php if(get_option('opt_glocal_map_allmarkers') == "true"): ?>
<script>
    var $ = jQuery.noConflict();
    jQuery(document).ready(function(){
        setTimeout(function() {
            ajaxGetMarkers();

        }, 2000)
    });



</script>
<?php endif;