<div id="ajax_map">
<?php

$settings = return_settings();
$center_single_company = return_single_company();
$item_adrs_sng_lat = return_item_adrs_sng_lat();
$item_adrs_sng_lng = return_item_adrs_sng_lng();
$item_first_cat = return_item_first_cat();



//Get variables Glocal_Options
//Site options
$glocal_map_type = get_option('opt_glocal_map_type');
$centre_map = get_option('opt_glocal_map_centermap');
$centre_addr_lat = get_option('opt_glocal_company_cntr_address_lat');
$centre_addr_lng = get_option('opt_glocal_company_cntr_address_lng');


global $wp_query;
query_posts(array(
    'paged' => $wp_query->get('paged'),
    'post_type' => array('company'),
    'posts_per_page' => 99999999
));

$index = 0;
?>


<?php if ( have_posts() ) while ( have_posts() ) : the_post();

    $index++;

    $companus[$index][1] = get_the_title();

    $terms = get_the_terms( $post->ID, 'company_category' );
    $item_cats = array();
    $item_cats_slugs = array();
    $i = 0;
    if(is_array($terms)) {
        foreach ($terms as $term ) {
            $i++;
            $item_cats_slugs[$i] = $term->slug;
        }
    } else {
        $item_cats_slugs[1] = "nocat";
        $i = 1;
    }
    if ($i == 1) {
        $companus[$index][2] = $item_cats_slugs[1];
        $custom_fields = get_post_custom();
        $country = $custom_fields['glocal_address_country_name'][0];
        $region = $custom_fields['glocal_address_region_name'][0];
        $name = $custom_fields['glocal_address_name'][0];

        $item_addr_lat = $custom_fields['glocal_address_lat'][0];
        $item_addr_lng = $custom_fields['glocal_address_lng'][0];

        $places[$index][1] = $country;
        $places[$index][2] = $region;
        $places[$index][3] = $name;
        $address = "";
        if (($country) AND ($region) AND ($name)) {
            $address = $country.', '.$region.', '.$name;
        } else if (($country) AND ($region)) {
            $address = $country.', '.$region;
        } else if (($country) AND ($name)) {
            $address = $country.', '.$name;
        } else if (($region) AND ($name)) {
            $address = $region.', '.$name;
        } else if ($country) {
            $address = $country;
        } else if ($region) {
            $address = $region;
        } else if ($name) {
            $address = $name;
        }
        $companus[$index][3] = $item_addr_lat;
        $companus[$index][4] = $address;
        $companus[$index][5] = get_permalink();
        $companus[$index][6] = get_the_post_thumbnail();
        $companus[$index][7] = $item_addr_lng;
    } else if ($i > 1) {
        $companus[$index][2] = $item_cats_slugs[1];
        $custom_fields = get_post_custom();
        $country = $custom_fields['glocal_address_country_name'][0];
        $region = $custom_fields['glocal_address_region_name'][0];
        $name = $custom_fields['glocal_address_name'][0];

        $item_addr_lat = $custom_fields['glocal_address_lat'][0];
        $item_addr_lng = $custom_fields['glocal_address_lng'][0];

        $places[$index][1] = $country;
        $places[$index][2] = $region;
        $places[$index][3] = $name;
        $address = "";
        if (($country) AND ($region) AND ($name)) {
            $address = $country.', '.$region.', '.$name;
        } else if (($country) AND ($region)) {
            $address = $country.', '.$region;
        } else if (($country) AND ($name)) {
            $address = $country.', '.$name;
        } else if (($region) AND ($name)) {
            $address = $region.', '.$name;
        } else if ($country) {
            $address = $country;
        } else if ($region) {
            $address = $region;
        } else if ($name) {
            $address = $name;
        }
        $companus[$index][3] = $item_addr_lat;
        $companus[$index][4] = $address;
        $companus[$index][5] = get_permalink();
        $companus[$index][6] = get_the_post_thumbnail();
        $companus[$index][7] = $item_addr_lng;
        for ($k = 2; $k <= $i; $k++) {
            $index++;
            $companus[$index][1] = $companus[$index - 1][1];
            $companus[$index][2] = $item_cats_slugs[$k];
            $companus[$index][3] = $companus[$index - 1][3];
            $companus[$index][4] = $companus[$index - 1][4];
            $companus[$index][5] = $companus[$index - 1][5];
            $companus[$index][6] = $companus[$index - 1][6];
            $companus[$index][7] = $companus[$index - 1][7];
            $places[$index][1] = $places[$index - 1][1];
            $places[$index][2] = $places[$index - 1][2];
            $places[$index][3] = $places[$index - 1][3];
        }
    }
endwhile;
?>

<?php

$zoom = 10;
if ($centre_map == "centre_world") {
    $zoom = 3;
}

$map_type = "ROADMAP";
if($glocal_map_type){
    $map_type = $glocal_map_type;
}

echo'<script type="text/javascript">'."\n";
echo'var $ = jQuery.noConflict();'."\n";
echo'jQuery(document).ready(function(){'."\n";
echo'jQuery("#map").goMap({'."\n";
echo'icon: "'.get_template_directory_uri().'/images/markers/realestate.png", maptype: "'.$map_type.'", zoom : '.$zoom.', scaleControl : true, scrollwheel : false,  markers : ['."\n";
if ($companus) {
    $randomize = rand(1, count($companus));
    if ($center_single_company == "ye") {
        echo'{latitude: '.$item_adrs_sng_lat.', longitude: '.$item_adrs_sng_lng.'},'."\n";
    }
    if($centre_map == "centre_geomap"){
        require_once(get_template_directory().'/skl/plugin/geoplugin.php');
        $geoplugin = new geoPlugin();
        $geoplugin->locate();
        echo'{latitude: '.$geoplugin->latitude.', longitude: '.$geoplugin->longitude.'},'."\n";
        $center_lat = $geoplugin->latitude;
        $center_lng = $geoplugin->longitude;
    } else if ($centre_map == "centre_addr") {
        echo'{latitude: '.$centre_addr_lat.', longitude: '.$centre_addr_lng.'},'."\n";
        $center_lat = $centre_addr_lat;
        $center_lng = $centre_addr_lng;
    } else if($centre_map == "centre_random") {
        if($companus){
            $randomize = rand(1, count($companus));
            echo'{latitude: '.$companus[$randomize][3].', longitude: '.$companus[$randomize][7].'},'."\n";
            $center_lat = $companus[$randomize][3];
            $center_lng = $companus[$randomize][7];
            $center_cat = $companus[$randomize][2];
        } else {
            require_once('get_template_directory()./skl/plugin/geoplugin.php');
            $geoplugin = new geoPlugin();
            $geoplugin->locate();
            echo'{latitude: '.$geoplugin->latitude.', longitude: '.$geoplugin->longitude.'},'."\n";
            $center_lat = $geoplugin->latitude;
            $center_lng = $geoplugin->longitude;
        }
    } else {
        if($companus){
            $center_lat = $companus[1][3];
            $center_lng = $companus[1][7];
            $center_cat = $companus[1][2];
        } else {
            require_once('get_template_directory()./skl/plugin/geoplugin.php');
            $geoplugin = new geoPlugin();
            $geoplugin->locate();
            echo'{latitude: '.$geoplugin->latitude.', longitude: '.$geoplugin->longitude.'},'."\n";
            $center_lat = $geoplugin->latitude;
            $center_lng = $geoplugin->longitude;
        }
    }
    if ($center_single_company == "ye") {
        $center_lat = $item_adrs_sng_lat;
        $center_lng = $item_adrs_sng_lng;
        $center_cat = $item_first_cat;
    }
    for ($index = 1; $index <= count($companus); $index++) {
        if ($companus[$index][3]) { echo'{latitude: '.$companus[$index][3].', longitude: '.$companus[$index][7].', group: "'.$companus[$index][2].'", icon: "'.get_template_directory_uri().'/images/markers/'.$companus[$index][2].'.png", html: {content: \'<div style="height: 100px; width: 300px; overflow: hidden;"><div class="map-image" style="float: left; width: 100px; height: 100px; background: #CCCCCC;"><a href="'.$companus[$index][5].'">'.$companus[$index][6].'</a></div><div style="float: left; width: 190px; height: 100px; padding: 0 0 0 10px;"><div><a style="display: block; font-size: 14px; font-weight: bold; line-height: 20px; overflow: hidden; height: 20px;" class="map-title" href="'.$companus[$index][5].'">'.$companus[$index][1].'</a></div><div style="font-size: 12px; color: #CCCCCC; margin: 0 0 3px 0; overflow: hidden; height: 48px;">'.$companus[$index][4].'</div><div style="height: 30px;"><a class="map-more-button" style="display: block; height: 27px; width: 188px; text-align: center; background: #A6C12A; color: #FFFFFF; font-weight: bold; line-height: 27px; border: 1px solid #E6E6E6;" href="'.$companus[$index][5].'">Read More</a></div></div></div><style>.map-image img {width: 100px !important; height: 100px !important; border: 1px solid #E6E6E6;} a.map-more-button:hover {background: #FFFFFF !important; color: #A6C12A !important;} a.map-title:hover {color: #A6C12A !important;}</style>\'}},'."\n";}
    }
} else {
    require_once(get_template_directory().'/skl/plugin/geoplugin.php');
    $geoplugin = new geoPlugin();
    $geoplugin->locate();
    echo'{latitude: '.$geoplugin->latitude.', longitude: '.$geoplugin->longitude.'},'."\n";
    $center_lat = $geoplugin->latitude;
    $center_lng = $geoplugin->longitude;
}
echo']});'."\n";
echo'jQuery("#map-trobber").fadeOut(500);'."\n";
echo'});'."\n";
echo'</script>';
echo'<div id="markers_container" style="display:none">';
echo'<div id="markers_center"><div class="latitude">'.$center_lat.'</div><div class="longitude">'.$center_lng.'</div><div class="category">'.$center_cat.'</div></div>';
if ($companus) {
    echo'<div id="markers">';
    $markers_counter = 0;
    for ($index = 1; $index <= count($companus); $index++) {
        if ($companus[$index][3]) { $markers_counter++; echo'<div id="marker-'.$markers_counter.'"><span class="lat">'.$companus[$index][3].'</span><span class="lan">'.$companus[$index][7].'</span><span class="group">'.$companus[$index][2].'</span><span class="name">'.$companus[$index][1].'</span><span class="where">'.$companus[$index][4].'</span><span class="icon">'.get_template_directory_uri().'/images/markers/'.$companus[$index][2].'.png</span><span class="html"><div style="height: 100px; width: 300px; overflow: hidden;"><div class="map-image" style="float: left; width: 100px; height: 100px; background: #CCCCCC;"><a href="'.$companus[$index][5].'">'.$companus[$index][6].'</a></div><div style="float: left; width: 190px; height: 100px; padding: 0 0 0 10px;"><div><a style="display: block; font-size: 14px; font-weight: bold; line-height: 20px; overflow: hidden; height: 20px;" class="map-title" href="'.$companus[$index][5].'">'.$companus[$index][1].'</a></div><div style="font-size: 12px; color: #CCCCCC; margin: 0 0 3px 0; overflow: hidden; height: 48px;">'.$companus[$index][4].'</div><div style="height: 30px;"><a class="map-more-button" style="display: block; height: 27px; width: 188px; text-align: center; background: #A6C12A; color: #FFFFFF; font-weight: bold; line-height: 27px; border: 1px solid #E6E6E6;" href="'.$companus[$index][5].'">Read More</a></div></div></div><style>.map-image img {width: 100px !important; height: 100px !important; border: 1px solid #E6E6E6;} a.map-more-button:hover {background: #FFFFFF !important; color: #A6C12A !important;} a.map-title:hover {color: #A6C12A !important;}</style></span></div>';}
    }
    echo'</div>';
    echo'<div id="markers_count">'.$markers_counter.'</div>';
    echo'</div>';
}
$places_count = 1;
for ($index = 1; $index <= count($places); $index++) {
    for ($index_inner = 1; $index_inner <= 2; $index_inner++) {
        if ($places[$index][$index_inner]) {
            $counter = 0;
            if(isset($places_filtered)){
                for ($i = 1; $i <= count($places_filtered); $i++ ) {
                    if ($places_filtered[$i] == $places[$index][$index_inner]) {
                        $counter++;
                    }
                }
            }
            if ($counter == 0) {
                $places_filtered[$places_count] = $places[$index][$index_inner];
                $places_count++;
            }
        }
    }
}
echo'<script type="text/javascript">'."\n";
echo'var $ = jQuery.noConflict();'."\n";
echo'jQuery(document).ready(function(){'."\n";
echo'var places = ['."\n";
for ($index = 1; $index <= count($places_filtered); $index++) {
    echo'{ value: "'.$places_filtered[$index].'"}'; if ($index != count($places_filtered)) {echo ','."\n";}
}
echo'];'."\n";
echo'jQuery("#search-where").autocomplete({'."\n";
echo'maxItemsToShow : 10,'."\n";
echo'source         : places,'."\n";
echo'select         : function( event, ui ) { jQuery("#search-where").val( ui.item.value ); ajaxGetMarkers(); return false; },'."\n";
echo'minLength      : 0,});'."\n";
echo'});'."\n";
echo'jQuery("#search-where").click(function(){$(this).autocomplete( "search", "" );});'."\n";
echo'</script>'."\n";
?>

<?php
wp_reset_query();
wp_reset_postdata();
?>
</div>

