<?php
	
	//Load fcvSettings Class
	$flx_settings 	= fcvSettings::get_Instance();
	$settings = $flx_settings->get();
	
	//Send Mail Action
    if(isset($_POST['action']))
    {
        if(trim($_POST['action']) == 'send_mail_glocal')
        {
            $flx_settings->sendmail();
        }

        if(trim($_POST['action']) == 'send_single_mail_glocal')
        {
            $flx_settings->sendsinglemail();
        }
    }

	//Style and JS for glocal Panel
	function glocal_panel_head() {
		echo '<link rel="stylesheet" type="text/css" href="'.glocal_PANEL_CSS .'/style.css" />'."\n";
	}
	
	//Style and JS for Wordpress Admin
	function glocal_wpadmin_head() {
        echo '<link rel="stylesheet" type="text/css" href="' . glocal_PANEL_CSS . '/admin.css" />'."\n";
		echo '<link rel="stylesheet" type="text/css" href="' . glocal_CSSDIR . '/font-awesome.css" />'."\n";
        echo '<script type="text/javascript" src="'. glocal_SCRIPTSDIR. '/jquery.easytabs.min.js"></script>'. "\n";
        echo '<script type="text/javascript" src="'. glocal_PANEL_JS. '/admin.js"></script>'. "\n";
        echo '<script type="text/javascript" src="'. glocal_PANEL_JS. '/ajaxupload_b.js"></script>'. "\n";
	}


//Save image via AJAX
add_action('wp_ajax_portfolio_ajax_upload', 'portfolio_ajax_upload'); //Add support for AJAX save

function portfolio_ajax_upload(){

    sleep(1);

    global $wpdb; //Now WP database can be accessed
    global $post;

    $image_id = $_POST['data'];

    $image_filename = $_FILES[$image_id];

    $override['test_form'] = false; //see http://wordpress.org/support/topic/269518?replies=6
    $override['action'] = 'wp_handle_upload';

    $uploaded_image = wp_handle_upload($image_filename,$override);

    //// IF ISET POST ID WE ATTACH THIS IMAGE TO THE POST
    if(isset($_POST['post_id'])) {

        $post_id = $_POST['post_id'];

    } else { $post_id = ''; }

    /// INSERTS IN DABASE
    $attachment = array(
        'post_mime_type' => $uploaded_image['type'],
        'guid' => $uploaded_image['url'],
        'post_title' => preg_replace('/\.[^.]+$/', '', basename($image_filename['name'])),
        'post_content' => '',
        'post_parent' => $post_id,
        'post_status' => 'inherit'
    );

    $id = wp_insert_attachment($attachment, $uploaded_image['file'], $post_id);

    if(!empty($uploaded_image['error'])){

        echo 'Error: ' . $uploaded_image['error'];

    } else {

        if(isset($_POST['post_id'])) {

            /// RETURNS AN ARRAY INSTEAD
            echo json_encode(array(

                'url' => $uploaded_image['url'],
                'id' => $id,
                'thumb' => vt_resizer($uploaded_image['url'], 150, 150)

            ));

        } else {

            //update_option($image_id, $uploaded_image['url']);

            echo $uploaded_image['url'];

        }

    }

    die();

}