<?php
/*
Template Name: Home
*/
get_header();

//Get variables Glocal_Options
//Site options
$opt_glocal_boxed_version = get_option('opt_glocal_boxed_version');
$opt_glocal_home_version = get_option('opt_glocal_home_version');

//Home page options
$opt_glocal_home_subscribe = get_option('opt_glocal_home_subscribe');
$opt_glocal_home_welcome = get_option('opt_glocal_home_welcome');
$opt_glocal_home_welcome_tabs = get_option('opt_glocal_home_welcome_tabs');
$opt_glocal_home_customblck = get_option('opt_glocal_home_customblck');
$opt_glocal_home_customblck_h1 = get_option('opt_glocal_home_customblck_h1');

?>

<section class="section content <?php  if($opt_glocal_boxed_version == 'yes') {echo 'boxed';} else { echo '';}; ?>">
<?php
if($register_error_string){

    if ( is_wp_error( $register_error_string ) ) {
        $register_error_string = $register_error_string->get_error_message();
        echo '<div id="message" class="error">' . $register_error_string . '</div>';
    } else {
        echo '<div id="message" class="error">' . $register_error_string . '</div>';
    }
}
if($registerMessages){
    echo '<div id="message" class="ok">' . $registerMessages . '</div>';
}


 get_template_part('/include/html/frame','search');
 get_template_part ('/include/html/str-home', $opt_glocal_home_version);
 get_template_part('/include/php/companymarkers');

?>
    <div class="content-wrapper">
        <div class="zone-content equalize zone clearfix">
            <div class="content-container container-16">
                <?php
                if($opt_glocal_home_welcome == "true"){

                    //if($opt_glocal_home_welcome_tabs == "Tabs") {
                    //   get_template_part('/include/html/frame','welcome-tabs');
                    //}
                    //else {
                        get_template_part('/include/html/frame','welcome');
                    //}
                }

                if($opt_glocal_home_customblck != " "){
                    get_template_part('/include/html/frame','custom');
                }
                if($opt_glocal_home_subscribe == "true"){
                    get_template_part('/include/html/frame','subscribe');
                }
                ?>
            </div><!-- end of .content-container -->
            <div class="sidebar-container container-8">
                <?php get_template_part('/include/html/frame','sidebar')?>
            </div><!-- end of .sidebar-container -->
        </div><!-- end of .zone-content -->
    </div><!-- end of .content-wrapper -->
    <?php get_template_part('/include/html/frame','partners'); ?>
</section>
<?php

get_template_part ('footer');