<?php
/*
Template Name: User profile
*/
get_header();
the_post();

//Get variables Glocal_Options
//Site options
$opt_glocal_boxed_version = get_option('opt_glocal_boxed_version');

//PayPal options
$opt_glocal_advsearch_fields = get_option('opt_glocal_advsearch_fields_0');

?>

    <section class="section content <?php if($opt_glocal_boxed_version == 'yes') {echo 'boxed';} else { echo '';}; ?>">
        <div class="content-wrapper">
            <div class="zone-content zone clearfix">
                <div class="project-header-container container-24">
                    <div class="project-header block">
                        <div class="block-title">
                            <h1><?php the_title(); ?></h1>
                        </div>
                        <div class="project-image">
                            <?php the_post_thumbnail(array(952, 392), array('title' => strip_tags($post->post_title), 'alt' => strip_tags($post->post_title))); ?>
                        </div>
                    </div>
                </div>
                <div class="project-body-container container-16">
                    <div class="project-body block">
                        <?php
                        echo 'Field 1: '.$opt_glocal_advsearch_fields.''.'<br/>';
                        echo ''.'<br/>';
                        ?>

<?php

$name_field = add_fields_search();
$count_field = count($name_field);


for ($i = 0; $i < $count_field; $i++) {

    $addfields[$i][0] = $name_field[$i];
    $value = 'opt_glocal_advsearch_fields_'.$i.'';
    $addfields[$i][1]= get_option($value);

}

?>

<pre>
<?php var_dump($addfields); ?>
</pre>
                    </div>
                </div>
                <div class="sidebar-container container-8">
                    <div class="latest-news block">
                        <?php
                        /* When we call the dynamic_sidebar() function
                         */
                        if ( ! dynamic_sidebar( 'primary-widget-area' ) ) : ?>

                            <div class="block-title">
                                <h3><?php _e( 'Archives', 'glocal' ); ?></h3>
                            </div>

                            <ul class="entries-list">
                                <?php wp_get_archives( 'type=monthly' ); ?>
                            </ul>


                            <div class="block-title">
                                <h3><<?php _e( 'Meta', 'glocal' ); ?></h3>
                            </div>

                            <ul id="meta">
                                <?php wp_register(); ?>
                                <li><?php wp_loginout(); ?></li>
                                <?php wp_meta();
                                the_tags();?>
                            </ul>
                        <?php endif; // end primary widget area ?>
                    </div>
                </div><!-- end of .sidebar-container -->
            </div><!-- end of .zone-content -->
        </div><!-- end of .content-wrapper -->
    </section>


<?php get_template_part ('footer');