<?php
/**
 *
 * The template for displaying Company Profile pages.
 *
 **/

get_header();

//Show Post
global $post;
$args = array(
    'numberposts'     => 9999,
    'post_type'       => 'company'
);
$company_items = get_posts($args);

//Get variables Glocal_Options
//Site options
$opt_glocal_site_sidebanner = get_option('opt_glocal_site_sidebanner');
$opt_glocal_site_sidebanner_url = get_option('opt_glocal_site_sidebanner_url');
$opt_glocal_companypage_version = get_option('opt_glocal_companypage_version');
$opt_glocal_boxed_version = get_option('opt_glocal_boxed_version');

//Select the Pictures Item cateories
$terms = get_the_terms( $post->ID, 'company_category' );
$item_cats = array();
$item_cats_slugs = array();

if(is_array($terms)) {
    foreach ($terms as $term ) {
        $item_cats[] = $term->name;
        $item_cats_slugs[] = $term->slug;
    }
}
$item_cats_str = join("/", $item_cats);
$item_cats_class = join("/", $item_cats_slugs);
//Select Custom Fields
$custom = get_post_custom($post->ID);

if(isset($custom[$shortname . '_company_type'][0])){
$item_type = $custom[$shortname . '_company_type'][0];
}
if(isset($custom[$shortname . '_wlctext_name'][0])){
$item_wlctext = $custom[$shortname . '_wlctext_name'][0];
}
if(isset($custom[$shortname . '_company_position'][0])){
$item_position = $custom[$shortname . '_company_position'][0];
}
if(isset($custom[$shortname . '_company_doc_desc'][0])){
$item_desc = $custom[$shortname . '_company_doc_desc'][0];
}
if(isset($custom[$shortname . '_company_doc_profile_desc'][0])){
    $item_profile_desc = $custom[$shortname . '_company_doc_profile_desc'][0];
}
if(isset( $custom[$shortname . '_address_country_name'][0])){
$item_adrs_country = $custom[$shortname . '_address_country_name'][0];
}
if(isset($custom[$shortname . '_address_region_name'][0])){
$item_adrs_region = $custom[$shortname . '_address_region_name'][0];
}
if(isset($custom[$shortname . '_address_name'][0])){
$item_adrs = $custom[$shortname . '_address_name'][0];
}

$item_addr_lat = $custom[$shortname . '_address_lat'][0];
$item_addr_lng = $custom[$shortname . '_address_lng'][0];

if(isset( $custom[$shortname . '_shw_strv'][0])){
    $item_shwstrv = $custom[$shortname . '_shw_strv'][0];
}
if(isset($custom[$shortname . '_company_doc_founded'][0])){
    $item_founded = $custom[$shortname . '_company_doc_founded'][0];
}
if(isset($custom[$shortname . '_company_doc_turnover'][0])){
    $item_turnover = $custom[$shortname . '_company_doc_turnover'][0];
}
if(isset($custom[$shortname . '_company_doc_empl'][0])){
    $item_empl = $custom[$shortname . '_company_doc_empl'][0];
}
if(isset($custom[$shortname . '_company_doc_legal'][0])){
    $item_legal = $custom[$shortname . '_company_doc_legal'][0];
}
if(isset($custom[$shortname . '_company_doc_phone'][0])){
    $item_phone = $custom[$shortname . '_company_doc_phone'][0];
}
if(isset($custom[$shortname . '_company_tags'][0])){
    $item_tags = $custom[$shortname . '_company_tags'][0];
}
if(isset( $custom[$shortname . '_company_soc_fax'][0])){
    $item_fax = $custom[$shortname . '_company_soc_fax'][0];
}
if(isset($custom[$shortname . '_company_soc_email'][0])){
    $item_email = $custom[$shortname . '_company_soc_email'][0];
    $item_email_form = $custom[$shortname . '_company_soc_email_form'][0];
}
if(isset($custom[$shortname . '_company_soc_web'][0])){
    $item_website = $custom[$shortname . '_company_soc_web'][0];
}
if(isset($custom[$shortname . '_company_image1_url'][0])){
$item_img1 = $custom[$shortname . '_company_image1_url'][0];
}
if(isset($custom[$shortname . '_company_image2_url'][0])){
$item_img2 = $custom[$shortname . '_company_image2_url'][0];
}
if(isset($custom[$shortname . '_company_image3_url'][0])){
$item_img3 = $custom[$shortname . '_company_image3_url'][0];
}
if(isset($custom[$shortname . '_company_soc_openhrs1'][0])){
    $item_dayint1 = $custom[$shortname . '_company_soc_openhrs1'][0];
}
if(isset($custom[$shortname . '_company_soc_openhrs2'][0])){
    $item_dayint2 = $custom[$shortname . '_company_soc_openhrs2'][0];
}
if(isset( $custom[$shortname . '_company_soc_openhrs3'][0])){
    $item_dayint3 = $custom[$shortname . '_company_soc_openhrs3'][0];
}
if(isset( $custom[$shortname . '_company_soc_openhrs4'][0])){
    $item_dayint4 = $custom[$shortname . '_company_soc_openhrs4'][0];
}
if(isset($custom[$shortname . '_company_soc_fb'][0])){
    $item_soc_fb =  $custom[$shortname . '_company_soc_fb'][0];
}
if(isset($custom[$shortname . '_company_soc_tw'][0])){
    $item_soc_tw =  $custom[$shortname . '_company_soc_tw'][0];
}
if(isset($custom[$shortname . '_company_soc_gp'][0])){
    $item_soc_gp =  $custom[$shortname . '_company_soc_gp'][0];
}

$tab_portfolio_act =  $custom[$shortname . '_company_portfolio_tabs_act'][0];
$tab_contact_act =  $custom[$shortname . '_company_contact_tabs_act'][0];

$item_gallery =  $custom[$shortname . '_company_gallery'][0];
$grid_gallery =  $custom[$shortname . '_company_portfolio_grid'][0];
if(!$grid_gallery){
    $grid_gallery = "1 column";
}
?>

<section class="section content <?php  if($opt_glocal_boxed_version == 'yes') {echo 'boxed';} else { echo '';}; ?>">


<?php
    if ($item_shwstrv == 'Map'){
        $center_single_company = 'ye';
        $item_adrs_sng = $item_adrs_country.' '.$item_adrs_region.' '.$item_adrs;
        $item_adrs_sng_lat = $item_addr_lat;
        $item_adrs_sng_lng = $item_addr_lng;
        $center_single_company_addr = $item_adrs;
        $item_first_cat = $item_cats_slugs[0];
        get_template_part('/include/html/frame','search');
        get_template_part('/include/php/companymarkers');
        get_template_part('/include/html/str-home-map');
    } else if($item_shwstrv == 'Streetview') {
        $item_adrs_sng_lat = $item_addr_lat;
        $item_adrs_sng_lng = $item_addr_lng;
        echo'<iframe width="100%" height="530" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/?ie=UTF8&amp;ll='.$item_adrs_sng_lat.','.$item_adrs_sng_lng.'&amp;spn='.$item_adrs_sng_lat.','.$item_adrs_sng_lng.'&amp;t=m&amp;z=4&amp;layer=c&amp;cbll='.$item_adrs_sng_lat.','.$item_adrs_sng_lng.'&amp;cbp=12,354.15,,0,0&amp;source=embed&amp;output=svembed"></iframe>';
        wp_reset_query();
        wp_reset_postdata();
    }
    else if ($item_shwstrv == 'Blank'){
        wp_reset_query();
        wp_reset_postdata();
    }
?>
<script>
    var $ = jQuery.noConflict();
    jQuery(document).ready(function(){
    jQuery('#map').animate({ height: '320px' });
    jQuery("#hide-map-button").text('Show Map').removeClass('map-expanded').addClass('map-collapsed');
    });
</script>

<?php
    if($tab_portfolio_act == "Display" OR $tab_contact_act == "Display"){
        require_once (glocal_INCLUDE.'/html/tpl-company-ext.php');
    } else {
        require_once (glocal_INCLUDE.'/html/tpl-company-simple.php');
    }


?>

</section>
<?php get_template_part ('footer');