<?php
//Globe logo
$opt_glocal_site_globe = get_option('opt_glocal_site_globe');
$opt_glocal_home_wlcm_text = get_option('opt_glocal_home_wlcm_text');
//Blog Categories
$args = array(
'type' 			=> 'company',
'orderby' 		=> 'name',
'order' 		=> 'ASC',
'hide_empty'	=> 1,
'taxonomy'		=> 'company_category',
);
$categories = get_categories($args);
?>
<?php if($categories): ?>
<div class="welcome block">
    <div class="block-title">
        <h1><?php echo __('Welcome','glocal_site'); ?></h1>
    </div>
    <div class="welcome-text">
        <?php echo $opt_glocal_home_wlcm_text; ?>
    </div>

    <div class="welcome-globe clearfix">
        <img class="globe" src="<?php echo $opt_glocal_site_globe; ?>" alt="" />
        <img class="globe-background" src="<?php echo get_template_directory_uri(); ?>/images/globe-background.png" alt="" />
        <?php
        $counter = 0;
        $index = 0;
        foreach ($categories as $category ) {
            if ($index <= 7) {
                $class = '';
                if ($index % 2 == 0) {$class = 'left';} else {$class = 'right';}
                if ((2 <= $index) AND ($index <= 5)) {$class = $class.' middle';} else {$class = $class.' edge';}
                if ((0 <= $index) AND ($index <= 3)) {$class = $class.' top';}
                if ((4 <= $index) AND ($index <= 7)) {$class = $class.' bottom';}
                if ($category->slug) { echo ' <a href="?s=&company_category='.$category->slug.'&cat='.$category->slug.'&search_simple=search" class="'.$class.'" style="text-transform: uppercase;">'.$category->name.'</a>';}
                else {echo ' <a class="'.$class.'" style="text-transform: uppercase; height: 50px"> </a>';}
            }
            $index++;
        }
        for ($index = $index; $index <= 7; $index++) {
            $class = '';
            if ($index % 2 == 0) {$class = 'left';} else {$class = 'right';}
            if ((2 <= $index) AND ($index <= 5)) {$class = $class.' middle';} else {$class = $class.' edge';}
            if ((0 <= $index) AND ($index <= 3)) {$class = $class.' top';}
            if ((4 <= $index) AND ($index <= 7)) {$class = $class.' bottom';}
            echo ' <a class="'.$class.'" style="text-transform: uppercase; height: 50px"></a>';
        }
        ?>
    </div>
</div>
<?php endif; ?>

