<?php
//Get variables Glocal_Options
$opt_glocal_site_rtl =  get_option('opt_glocal_site_rtl');
//Social links
$opt_glocal_social_fb = get_option('opt_glocal_social_fb');
$opt_glocal_social_gp = get_option('opt_glocal_social_gp');
$opt_glocal_social_tw = get_option('opt_glocal_social_tw');
$opt_glocal_social_li = get_option('opt_glocal_social_li');
$opt_glocal_social_pt = get_option('opt_glocal_social_pt');
$opt_glocal_social_dr = get_option('opt_glocal_social_dr');
//Site logo
$opt_glocal_site_logo = get_option('opt_glocal_site_logo');
//Site banner
$opt_glocal_site_banner = get_option('opt_glocal_site_banner');
//
//  Code header style.-3
//
?>
<div id="header-style-three">
    <div class="header-top-wrapper">
        <div class="zone-header-top zone clearfix">
            <div class="header-top-left container-8"  <?php if($opt_glocal_site_rtl == "true"){echo 'style="float: right;"';} ?>>
                <?php
                if ( is_user_logged_in() )
                {
                    require_once get_template_directory().'/include/php/logout-form.php';
                }
                else
                {
                    require_once get_template_directory().'/include/php/login-form.php';
                };
                ?>
            </div>
            <script type="text/javascript">
                try{document.getElementById('user_login').focus();}catch(e){}
            </script>
            <div class="header-top-right container-16">
                <div class="social-links block"  <?php if($opt_glocal_site_rtl == "true"){echo 'style="float: left;"';} ?>>
                    <?php if($opt_glocal_social_fb): ?>
                        <a href="<?php echo $opt_glocal_social_fb; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/facebook-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                    <?php if($opt_glocal_social_gp): ?>
                        <a href="<?php echo $opt_glocal_social_gp; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/google-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                    <?php if($opt_glocal_social_tw): ?>
                        <a href="<?php echo $opt_glocal_social_tw; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/twitter-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                    <?php if($opt_glocal_social_li): ?>
                        <a href="<?php echo $opt_glocal_social_li; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/linkedin-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                    <?php if($opt_glocal_social_pt): ?>
                        <a href="<?php echo $opt_glocal_social_pt; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/pinterest-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                    <?php if($opt_glocal_social_dr): ?>
                        <a href="<?php echo $opt_glocal_social_dr; ?>" target="_blank">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/dribbble-icon.png" alt="" />
                        </a>
                    <?php endif; ?>
                </div>

                <!-- start WPML -->
                    <?php languages_list();  ?>
                <!-- end WPML -->

            </div>
        </div><!-- end of .zone-header-top -->
    </div><!-- end of .header-top-wrapper -->
    <div class="header-wrapper">
        <div class="zone-header zone clearfix">
            <div class="header-left container-6" <?php if($opt_glocal_site_rtl == "true"){echo 'style="float: right;"';} ?>>
                <div class="logo block">
                    <a href="<?php echo home_url(); ?>">
                        <?php
                        if($opt_glocal_site_logo)
                            { $logo_url = $opt_glocal_site_logo;}
                        else
                            {$logo_url = get_template_directory_uri().'/images/logo.jpg';}
                        ?>
                        <img src="<?php echo $logo_url; ?>" alt="" width="181px" height="67px"/>
                    </a>
                </div>
            </div>
            <div class="header-right container-18">
                <div class="adverisement block">
                    <a href="<?php echo $opt_glocal_site_headbanner_url; ?>">
                        <?php
                        if($opt_glocal_site_banner)
                            { $banner_url = $opt_glocal_site_banner;}
                        else
                            {$banner_url = get_template_directory_uri().'/images/content/banner.jpg';}
                        ?>
                        <img src="<?php echo $banner_url ?>" alt="" />
                    </a>
                </div>
            </div>
        </div><!-- end of .zone-header -->
    </div><!-- end of .header-wrapper -->
    <div class="main-menu-wrapper">
        <div class="zone-main-menu zone clearfix">
            <div class="main-menu-container container-24">
                <div class="main-menu block">
                    <?php wp_nav_menu(array('menu_id' => 'sf-menu'));?>
                </div>
            </div>
        </div><!-- end of .zone-main-menu -->
    </div><!-- end of .main-menu-wrapper -->
</div>