<?php
 // Template for single company profile
 // Simple template   ?>
<div class="content-wrapper">
<div class="zone-content equalize zone clearfix">
<div class="content-container container-16" <?php if($opt_glocal_companypage_version == "left") { echo 'style="float: right;"';}  ?>>
    <div class="single-company block">
        <div class="block-title">
            <h1><?php the_title(); ?></h1>
        </div>

        <?php
        $meta_key_used= get_post_custom_keys($post->ID);

        $i=0;
        foreach ($meta_key_used as $meta_key) {

            $check = strtolower('wpcf-');
            $check_key = $meta_key;
            $result_check =  strpos($check_key, $check, 0);

            if ($result_check !== false){
                $field = substr($meta_key, 5);
                $fields[$i] = $field;
                $i++;
            }

        }

        ?>

        <?php if($item_img1):?>
            <div class="photo">
                <div class="company-photo-container"><img src="<?php echo $item_img1; ?>" alt="" height="340px"/></div>
            </div>
        <?php endif; ?>
        <div class="company-info clearfix">
            <div class="company-info-social">
                <div class="compnay-photo">
                    <?php if ( has_post_thumbnail() ) { the_post_thumbnail( );} ?>
                </div>
                <?php if(isset($item_soc_fb)): ?>
                    <a href="<?php echo $item_soc_fb; ?>" class="facebook" target="_blank"></a>
                <?php endif; ?>
                <?php if(isset($item_soc_tw)): ?>
                    <a href="<?php echo $item_soc_tw; ?>" class="twitter" target="_blank"></a>
                <?php endif; ?>
                <?php if(isset($item_soc_gp)): ?>
                    <a href="<?php echo $item_soc_gp; ?>" class="google" target="_blank"></a>
                <?php endif; ?>
            </div>
            <div class="company-info-description">
                <div class="breadcrumbs">
                    <a href="<?php echo home_url(); ?>"><?php echo __('Home','glocal_company'); ?></a>
                    <span></span>
                    <a href="<?php echo home_url().'?s=&company_category='.$item_cats[0].'&cat=&search_simple=search' ?>" ><?php echo  $item_cats_str; ?></a>
                    <span></span>
                    <a href="#"><?php the_title(); ?></a>
                </div>
                <div class="representation"><?php echo $item_wlctext; ?></div>
                <div class="description"><?php echo $item_desc; ?></div>
            </div>
        </div>
    </div>
    <div class="separator"></div>
    <div class="profile-description company-page-center-block">
        <div class="block-title"><h2><?php echo __('Profile Description','glocal_company'); ?></h2></div>
        <div class="block-content">
            <?php the_content(); ?>
        </div>
    </div>
    <?php if($item_tags): ?>
        <div class="separator"></div>
        <div class="range-of-services company-page-center-block">
            <div class="block-title"><h2><?php echo __('Range of Services','glocal_company'); ?></h2></div>
            <div class="block-content">
                <ul>
                    <?php
                    $progtagarr = explode(',', $item_tags);
                    foreach($progtagarr as $tag)
                        echo  '<li>'.$tag.'</li>';
                    ?>
                </ul>
                <div style="height: 0; clear: both;"></div>
            </div>
        </div>
    <?php endif; ?>
    <div class="separator"></div>
    <div class="comment-message block">
        <?php comments_template( '' ); //Call Comments Template?>
    </div>
    <?php if ( is_singular() ) wp_enqueue_script( "comment-reply" ); ?>
</div><!-- end of .content-container -->
<div class="sidebar-container container-8" >
    <?php if($item_shwstrv == "Streetview" OR $item_shwstrv == "Blank" ):?>
        <div id="markers_center" style="display: none">
            <div class="latitude"><?php echo $item_addr_lat; ?></div>
            <div class="longitude"><?php echo $item_addr_lng; ?></div>
        </div>
    <?php endif; ?>
    <div class="company-page-map">
        <?php if ($item_adrs_region OR $item_adrs_region OR $item_adrs): ?>
            <div class="company-page-map-container"><div id="company-page-map"></div></div>
        <?php endif; ?>
    </div>
    <div class="contact-details company-page-block">
        <div class="block-title">
            <h3><?php echo __('Contact Details','glocal_company'); ?></h3>
        </div>
        <table class="company-address">
            <tr class="detail">
                <td class="detail-label"><?php echo __('Name','glocal_company'); ?></td>
                <td class="detail"><?php the_title(); ?></td>
            </tr>
            <?php if($item_founded): ?>
                <tr class="detail">
                    <td class="detail-label"><?php echo __('Founded','glocal_company'); ?></td>
                    <td class="detail"><?php if ($item_founded) {echo $item_founded;}?></td>
                </tr>
            <?php endif; ?>
            <tr class="detail">
                <td class="detail-label"><?php echo __('Location','glocal_company'); ?></td>
                <td class="detail"><?php if ($item_adrs_country) {echo $item_adrs_country.', ';} if ($item_adrs_region) {echo $item_adrs_region;} ?></td>
            </tr>
            <?php if($item_legal): ?>
                <tr class="detail">
                    <td class="detail-label"><?php echo __('Legal Entity','glocal_company'); ?></td>
                    <td class="detail"><?php if ($item_legal) {echo $item_legal;}?></td>
                </tr>
            <?php endif; ?>
            <?php if($item_turnover): ?>
                <tr class="detail">
                    <td class="detail-label"><?php echo __('Turnover','glocal_company'); ?></td>
                    <td class="detail"><?php if ($item_turnover) {echo $item_turnover;}?></td>
                </tr>
            <?php endif; ?>
            <?php if($item_empl): ?>
                <tr class="detail">
                    <td class="detail-label"><?php echo __('Number of','glocal_company'); ?></td>
                    <td class="detail"><?php if ($item_empl) {echo $item_empl;}?></td>
                </tr>
                <tr class="detail">
                    <td class="detail-label"><?php echo __('Employees','glocal_company'); ?></td>
                    <td class="detail"></td>
                </tr>
            <?php endif; ?>
            <tr class="detail">
                <td class="detail-label"><?php echo __('Full Address','glocal_company'); ?></td>
                <td class="detail"><?php if ($item_adrs_country) {echo $item_adrs_country.', ';} if ($item_adrs_region) {echo $item_adrs_region.', ';} if ($item_adrs) {echo $item_adrs;} ?></td>
            </tr>
            <?php if($item_phone): ?>
                <tr class="detail">
                    <td class="detail-label"><?php echo __('Phone','glocal_company'); ?></td>
                    <td class="detail"><?php echo $item_phone; ?></td>
                </tr>
            <?php endif; ?>
            <?php if($item_fax): ?>
                <tr class="detail">
                    <td class="detail-label"><?php echo __('Fax','glocal_company'); ?></td>
                    <td class="detail"><?php echo $item_fax; ?></td>
                </tr>
            <?php endif; ?>
            <?php if($item_website): ?>
                <tr class="detail">
                    <td class="detail-label"><?php echo __('Website','glocal_company'); ?></td>
                    <td class="detail"><a href="<?php echo $item_website; ?>" class="text-green"><?php echo $item_website; ?></td>
                </tr>
            <?php endif; ?>
            <?php if($item_email): ?>
                <tr class="detail">
                    <td class="detail-label"><?php echo __('E-mail','glocal_company'); ?></td>
                    <td class="detail"><a href="mailto:email@example.com" class="text-green"><?php echo $item_email; ?></a></td>
                </tr>
            <?php endif;
            include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

            if ( is_plugin_active('types/wpcf.php') ){
                $fields_arr_num = count($fields);
                $num = 0;

                for ($index = 0; $index < count($fields); $index++) { ?>
                    <tr class="detail">
                        <td class="detail-label"><?php echo $fields[$index]; ?></td>
                        <td class="detail"><?php echo types_render_field($fields[$index], array("output"=>"html")) ?></td>
                    </tr>
                <?php }
            }?>

        </table>
    </div>
    <?php if ((isset($item_dayint1)) OR (isset($item_dayint2)) OR (isset($item_dayint3)) OR (isset($item_dayint4))): ?>
        <div class="opening-hours company-page-block">
            <div class="block-title">
                <h3><?php echo __('Opening Hours','glocal_company'); ?></h3>
            </div>
            <table>
                <?php if(isset($item_dayint1)): ?>
                    <tr class="detail">
                        <?php
                        $dayint1arr = explode(',', $item_dayint1);
                        echo  '<td class="detail-label">'.$dayint1arr[0].'</td><td class="detail">'.$dayint1arr[1].'</td>';
                        ?>
                    </tr>
                <?php endif; ?>
                <?php if(isset($item_dayint2)): ?>
                    <tr class="detail">
                        <?php
                        $dayint2arr = explode(',', $item_dayint2);
                        echo  '<td class="detail-label">'.$dayint2arr[0].'</td><td class="detail">'.$dayint2arr[1].'</td>';
                        ?>
                    </tr>
                <?php endif; ?>
                <?php if(isset($item_dayint3)): ?>
                    <tr class="detail">
                        <?php
                        $dayint3arr = explode(',', $item_dayint3);
                        echo  '<td class="detail-label">'.$dayint3arr[0].'</td><td class="detail">'.$dayint3arr[1].'</td>';
                        ?>
                    </tr>
                <?php endif; ?>
                <?php if(isset($item_dayint4)): ?>
                    <tr class="detail">
                        <?php
                        $dayint4arr = explode(',', $item_dayint4);
                        echo  '<td class="detail-label">'.$dayint4arr[0].'</td><td class="detail">'.$dayint4arr[1].'</td>';
                        ?>
                    </tr>
                <?php endif; ?>
            </table>
        </div>



        <?php if($item_email_form == "Display"): ?>
            <div class="opening-hours company-page-block">
                <div class="block-title">
                    <h3><?php echo __('Message Us','glocal_company'); ?></h3>
                </div>
                <table>
                    <div class="comment-message singlemail">
                        <form method="post" id="contact-single-message-form">
                            <input type="text" name="name" class="text-input-grey name" placeholder="  <?php echo __('Name','glocal_site'); ?> *" />
                            <input type="text" name="email" class="text-input-grey email" placeholder="  <?php echo __('E-mail','glocal_site'); ?> *" />
                            <input type="text" name="website" class="text-input-grey website" placeholder="  <?php echo __('Subject','glocal_site'); ?>" />
                            <textarea name="message" class="text-input-grey comment-message-main" placeholder="  <?php echo __('Your Comments Here','glocal_site'); ?>"></textarea>

                            <input type="text" name="mailto" value="<?php echo $item_email; ?>" style="display:none" readonly/>

                            <input type="submit" name="submit" value="Send Message" id="button-2-green" />
                        </form>
                    </div>
                </table>
            </div>
        <?php endif; ?>



    <?php endif; ?>
    <div class="share-this company-page-block" style="display: none">
        <div class="block-title">
            <h3><?php echo __('Share This Listing','glocal_company'); ?></h3>
        </div>
        <ul>
            <li><a href="#" class="facebook"  onClick="shareFB();"></a></li>
            <li><a href="#" class="twitter"  onClick="shareTW();"></a></li>
            <li><a href="#" class="google"  onClick="shareGP();"></a></li>
        </ul>
        <div style="height: 0; clear: both;"></div>
    </div>
    <div class="latest-news block">
        <?php if($opt_glocal_site_sidebanner): ?>
            <div class="one-image-banner">
                <a href="<?php echo $opt_glocal_site_sidebanner_url; ?>">
                    <img src="<?php echo $opt_glocal_site_sidebanner; ?>" alt="" />
                </a>
            </div>
        <?php endif; ?>
    </div>
</div><!-- end of .sidebar-container -->
</div><!-- end of .zone-content -->
</div><!-- end of .content-wrapper -->