
var shortname = 'glocal';
jQuery(document).ready(function() {
	
	window.original_send_to_editor = window.send_to_editor;
	
	window.send_to_editor = function(html) {
		var portInput = jQuery("#"+shortname+"_portfolio_image_url", window.parent.document);
		if(portInput.length) {
			imgurl = jQuery('img', html).attr('src');
			portInput.val(imgurl);	
		}else {
			window.original_send_to_editor(html);	
		}
		tb_remove();
	}

    //Tabs in admipanel
    jQuery("#admin-tabs").easytabs({
        animate			: true,
        updateHash		: true
    });
});


(function($){

    $.fn.extend({
        removeItemGallery: function() {
            jQuery(this).parent().fadeOut(200, function() {
                jQuery(this).remove();
                jQuery(this).parent().renderGallery();
                jQuery('#company_gallery_frame ul.gallery_images').renderGallery();
            });

        },
        renderGallery: function() {
            var ulCont = this;
            var theInput = jQuery('input#glocal_company_gallery');
            var theArr = {};
            ulCont.children('li').each(function(i, obj) {
                theArr[i] = jQuery(this).find('input[name="image_id"]').val();
            });
            var theValue = JSON.stringify(theArr);
            theInput.val(theValue);
            jQuery('#company_gallery_frame ul.gallery_images').sortable({
                items: '> li',
                stop: function(event, ui) {
                    jQuery('#company_gallery_frame ul.gallery_images').renderGallery();
                }
            });
        },
        add_atth_to_gall: function() {
            var attachment = this;
            var attachment_id = attachment.find('img').attr('title');
            var attachment_image = attachment.find('img').attr('src');
            jQuery('#company_gallery_frame > ul').append('<li><input type="hidden" name="image_id" value="'+attachment_id+'"><img src="'+attachment_image+'" alt="" /><span class="remove" onclick="jQuery(this).removeItemGallery();"><i class="fa fa-times-circle fa-2x"></i></span></li>');
            jQuery('#company_gallery_frame ul.gallery_images').renderGallery();
        }
    });

})(jQuery);


// Media select button
var mediaUpload = '';

var $mediaSelect = jQuery('input[type="button"].media-select');

if($mediaSelect.length){

    var formfield=null;
    $mediaSelect.click(function(){
        var buttonID = jQuery(this).attr("id").toString();
        var inputID = buttonID.replace("_selectMedia", "");
        mediaUpload = inputID;
        formfield = inputID;
        tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
        jQuery('#TB_overlay,#TB_closeWindowButton').bind("click",function(){formfield=null;});
        return false;
    });

    formfield=null;
    window.original_send_to_editor = window.send_to_editor;
    window.send_to_editor = function(html) {
        if (formfield) {
            var imgUrl = jQuery('img', html).attr('src');
            jQuery('#'+mediaUpload).val(imgUrl);
            tb_remove();
        } else {
            window.original_send_to_editor(html);
        }
        formfield=null;
    };
}
