<?php
// Get variables Glocal_Options
//Site options
$opt_glocal_search_radius = get_option('opt_glocal_search_radius');




    if ($_GET['adv-submit'] == 'search') {

        $company_category = $_GET['company_category'];

        $glocal_search_location_get =  $_GET['where'];

        $glocal_search_location = str_replace("_", " ", $glocal_search_location_get);

        $glocal_search_region = $_GET['region'];
        $glocal_search_address  = $_GET['address'];
        $glocal_search_distance = $_GET['distance'];
        $glocal_search_days = $_GET["days"];

        //Get advanced fields
        $name_field = add_fields_search();
        $count_field = count($name_field);
        $kind = 0;
        for ($ind = 0; $ind < $count_field; $ind++) {
            $addfields[$ind][0] = $name_field[$ind];
            $value = 'opt_glocal_advsearch_fields_'.$ind.'';
            $addfields[$ind][1]= get_option($value);

            if($addfields[$ind][1] == "true"){

                   $adv_fields[$kind][0] = strtolower($addfields[$ind][0]);
                   $get_str = preg_replace('/\s+/', "_", $adv_fields[$kind][0]);
                   $adv_fields[$kind][1] = isset($_GET[$get_str]) ? $_GET[$get_str] : NULL;
             $kind++;
            }

        }

        //Get types fields
        $adv_fields_types = add_type_fields_search();
        $count_field_type = count($adv_fields_types);

        for ($indext = 0; $indext < $count_field_type; $indext++) {


            $get_strt = $adv_fields_types[$indext];
            $addfields_type[$adv_fields_types[$indext]] = isset($_GET[$get_strt]) ? $_GET[$get_strt] : NULL;
            }
    }

    add_filter('option_show_on_front', '__return_false');

    get_template_part('/include/php/companymarkers');

    global $wp_query;
    function filter_where($where = '') {
        $glocal_search_days = $_GET["days"];
        $days_published = date('Y-m-d', strtotime('-'.$glocal_search_days.' days'));
        $where .= " AND post_date > '".$days_published."'";
        return $where;
    }

    get_template_part('/include/html/frame','search');
    $settings = return_settings();

    get_template_part ('/include/html/str-home', 'map');

    add_filter( 'posts_where', 'filter_where' );

    parse_str($_SERVER['QUERY_STRING']);

    query_posts(array(
        'post_type' => array('company'),
        'company_category' => $company_category,
        'posts_per_page' => 999999,
        'orderby' => $orderby,
        'order' => $order
    ));
?>
    <div class="content-wrapper">
        <div id="company_category" style = "display: none;"><?php echo $company_category; ?></div>
        <div class="zone-content equalize zone clearfix">
            <div class="content-container container-16 ">
                <div class="companies-listings block">
                    <div class="block-title">
                        <h1><?php the_title();?></h1>
                    </div>
                    <?php if(function_exists('glocal_pagenavi')) { glocal_pagenavi(); } ?>
                    <strong>Results by</strong>:<br/>
                    <?php
                    if($glocal_search_location OR $glocal_search_region OR $glocal_search_address){
                        echo  __('Location:','glocal_site').$glocal_search_location.' '.$glocal_search_region.' '.$glocal_search_address.'<br/>';
                    }
                    if($company_category){
                        echo __('Category:','glocal_site').$company_category.' <br/>';
                    }

                    if($opt_glocal_search_radius == "true"){
                        if($glocal_search_distance){
                            if($glocal_search_distance == 9999999999999){
                                $glocal_search_distance_print = "All";
                            }

                            echo __('Distance:','glocal_site').$glocal_search_distance_print.' km<br/>';
                        }
                    }

                    if($glocal_search_days){

                        if($glocal_search_days == 9999999999999){
                            $glocal_search_days_print = "All";
                        }


                        echo __('Days Published:','glocal_site').$glocal_search_days_print.' days <br/>';
                    }

                    $search_summ_add = $glocal_search_location.' '.$glocal_search_region.' '.$glocal_search_address;
                    if($opt_glocal_search_radius == "true"){
                            if($glocal_search_location OR $glocal_search_region OR $glocal_search_address){
                                $radius_search = simplexml_load_file('http://maps.google.com/maps/api/geocode/xml?address='.$search_summ_add.'&sensor=false');
                                if($radius_search->result->geometry->location->lat){
                                    $center_lat = $radius_search->result->geometry->location->lat;
                                    $center_lng = $radius_search->result->geometry->location->lng;
                                } else {
                                    require_once(get_template_directory().'/skl/plugin/geoplugin.php');
                                    $geoplugin = new geoPlugin();
                                    $geoplugin->locate();
                                    $center_lat = $geoplugin->latitude;
                                    $center_lng = $geoplugin->longitude;
                                }
                            } else {
                                require_once(get_template_directory().'/skl/plugin/geoplugin.php');
                                $geoplugin = new geoPlugin();
                                $geoplugin->locate();
                                $center_lat = $geoplugin->latitude;
                                $center_lng = $geoplugin->longitude;
                            }
                    }
                    $search_count = 0;
                    ?>


                    <div class="company-sorting clearfix">

                        <form method="get" action="<?php echo home_url(); ?>/search/">

                            <?php
                            $params = array();
                            parse_str($_SERVER['QUERY_STRING'],$params);

                            foreach ($params as  $key => $param ) {
                                if (($key != "pagination") AND ($key != "orderby") AND ($key != "order")){
                                ?>
                                    <input type="hidden" id="sorting-<?php echo $key; ?>" name="<?php echo $key; ?>" value="<?php echo $param; ?>">
                            <?php
                                }
                            }
                            ?>


                            <div class="def-pagination" style="display:none"><?php echo $pagination; ?></div>

                            <div class="sortby">
                                <label for="orderby">Sort by:</label>
                                <select id="sorting-sortby" name="orderby">
                                    <option value="date">Date</option>
                                    <option value="title">Title</option>
                                </select>
                            </div>
                            <div class="def-sortby" style="display:none"><?php echo $orderby; ?></div>

                            <div class="sort">
                                <label for="order">Sort:</label>
                                <select id="sorting-sort" name="order">
                                    <option value="ASC">∧</option>
                                    <option value="DESC">∨</option>
                                </select>
                            </div>
                            <div class="def-sort" style="display:none"><?php echo $order; ?></div>

                        </form>
                    </div>
                    <script>
                        jQuery(document).ready(function($) {

                            var sorting = $('.company-sorting'),
                                form = sorting.find('form'),
                                count = sorting.find('#sorting-pagination'),
                                sortby = sorting.find('#sorting-sortby'),
                                sort = sorting.find('#sorting-sort');

                            var values = { };

                            values.sortby = sorting.find('.def-sortby').html();
                            values.sort = sorting.find('.def-sort').html();


                            sortby.val(values.sortby);
                            sort.val(values.sort);

                            count.change(function(event) {
                                form.submit();
                            });
                            sortby.change(function(event) {
                                form.submit();
                            });
                            sort.change(function(event) {
                                form.submit();
                            });

                        });
                    </script>


<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
<?php
    $custom_fields = get_post_custom();
    $search_where = $custom_fields['glocal_address_country_name'][0]." ".$custom_fields['glocal_address_region_name'][0]." ".$custom_fields['glocal_address_name'][0];
    $search_lat = $custom_fields['glocal_address_lat'][0];
    $search_lng = $custom_fields['glocal_address_lng'][0];


    if($opt_glocal_search_radius == "true"){
        //Filter by radius
        $radiusInKm = intval($glocal_search_distance); //Set distance
        $cenLat = floatval($center_lat); // Point by search
        $cenLng = floatval($center_lng); // Point by search
        $lat = floatval($search_lat); // Lat. company
        $lng = floatval($search_lng); // Long. company
        $distance = ( 6371 * acos( cos( deg2rad($cenLat) ) * cos( deg2rad( $lat ) ) * cos( deg2rad( $lng ) - deg2rad($cenLng) ) + sin( deg2rad($cenLat) ) * sin( deg2rad( $lat ) ) ) );
    }

    $where =  strtolower($glocal_search_location);
    $region =  strtolower($glocal_search_region);
    $address =  strtolower($glocal_search_address);

    if ($where){
        $search_where_str = strtolower($search_where);
        $result = strpos($search_where_str, $where, 0);
    }

    if ($region){
        $search_where_str = strtolower($search_where);
        $result_region = strpos($search_where_str, $region, 0);
    }

    if ($address){
        $search_where_str = strtolower($search_where);
        $result_address = strpos($search_where_str, $address, 0);
    }

    //advanced fields search
    $adv_fields_count = count($adv_fields);

    for ($cnt = 0; $cnt < $adv_fields_count; $cnt++){
        $search_field = $adv_fields[$cnt][0];
        $search_field_str = preg_replace('/\s+/', "_", $search_field);

        if($search_field_str == "number_of_employees"){$search_field_str = "empl";}

        if($search_field_str == "legal_entity"){$search_field_str = "legal";}
        $search_advfield_str = 'glocal_company_doc_'.$search_field_str;
        if($search_field_str == "range_of_services_tags"){$search_field_str = "tags"; $search_advfield_str = 'glocal_company_'.$search_field_str;}
        $search_advfield = strtolower($custom_fields[$search_advfield_str][0]);
        $search_advfield = preg_replace('/\s+/', "", $search_advfield);
        $search_req = strtolower($adv_fields[$cnt][1]);



            if($search_req){
                $result_advfield[$cnt] = strpos($search_advfield, $search_req, 0);
                $result_display = array_search(false, $result_advfield, true);
                //mirror
                if($result_display != false){
                    $result_display = true;
                }
            }
    }


    //Types fields search
    $meta_key_used= get_post_custom_keys($post->ID);

    $i=0;
    foreach ($meta_key_used as $meta_key) {

        $check = strtolower('wpcf-');
        $check_key = $meta_key;
        $result_check =  strpos($check_key, $check, 0);

        if ($result_check !== false){
            $field = substr($meta_key, 5);
            $fields[$i] = $field;
            $i++;
        }

    }

    $fields_arr_num = count($fields);
    $num = 0;
    if ( is_plugin_active('types/wpcf.php') ){
    for ($index = 0; $index < count($fields); $index++) {

        $fields_type[$fields[$index]] = types_render_field($fields[$index], array("output"=>"raw"));


        $search_req_t = $addfields_type[$fields[$index]];
        $search_advfield_t = $fields_type[$fields[$index]];
        if($search_req_t){
            $result_advfield_t[$index] = strpos($search_advfield_t, $search_req_t, 0);
            $result_display_t = array_search(false, $result_advfield_t, true);
            //mirror
            if($result_display_t != false){
                $result_display_t = true;
            }
        }


    }
    }




        ?>



    <?php if ($result !== false):?>
        <?php if ($result_region !== false):?>
            <?php if ($result_address !== false):?>
                <?php if ($distance <= $radiusInKm):?>
                       <?php if ($result_address !== false):?>
                            <?php if($result_display == false AND $result_display !== 0): ?>
                                <?php if( $result_display_t == false AND  $result_display_t !== 0): ?>
                                    <div id="post-<?php the_ID(); ?>" class="company-listing clearfix">
                                        <a href="<?php the_permalink(); ?>" class="listing-image">
                                            <?php
                                            if( has_post_thumbnail() ) { the_post_thumbnail(); } else {
                                                echo '<img src="'.get_template_directory_uri().'/images/content/blank.png" alt="" />';
                                            } ?>
                                        </a>
                                        <div class="listing-body">

                                            <div class="listing-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
                                            <div class="listing-text" style="overflow: hidden; height: 70px;">






                                                <?php
                                                $custom_fields = get_post_custom();
                                                if(isset($custom_fields['glocal_company_doc_desc'][0])){
                                                    echo $custom_fields['glocal_company_doc_desc'][0];
                                                }
                                                ?>
                                            </div>
                                            <a href="<?php the_permalink(); ?>" class="listing-read-more">Read More</a> <?php edit_post_link( __( '(Edit)', 'glocal' ), '<span class="edit-link">', '</span>' ); ?>
                                        </div>
                                    </div>
                                    <?php $search_count++; ?>
                                    <?php
                                        $found_companus[$search_count][1] = $custom_fields['glocal_address_lat'][0];
                                        $found_companus[$search_count][2] = $custom_fields['glocal_address_lng'][0];
                                        $terms = get_the_terms( get_the_ID(), 'company_category' );
                                        $item_cats = array();
                                        $item_cats_slugs = array();
                                        $i = 0;
                                        if(is_array($terms)) {
                                            foreach ($terms as $term ) {
                                                $i++;
                                                $item_cats_slugs[$i] = $term->slug;
                                            }
                                        } else {
                                            $item_cats_slugs[1] = "nocat";
                                            $i = 1;
                                        }
                                        $found_companus[$search_count][3] = $item_cats_slugs[1];
                                        $found_companus[$search_count][4] = get_template_directory_uri().'/images/markers/'.$item_cats_slugs[1].'.png';
                                        $found_companus[$search_count][5] = '<div style="height: 100px; width: 300px; overflow: hidden;"><div class="map-image" style="float: left; width: 100px; height: 100px; background: #CCCCCC;"><a href="'.get_permalink().'">'.get_the_post_thumbnail().'</a></div><div style="float: left; width: 190px; height: 100px; padding: 0 0 0 10px;"><div><a style="display: block; font-size: 14px; font-weight: bold; line-height: 20px; overflow: hidden; height: 20px;" class="map-title" href="'.get_permalink().'">'.get_the_title().'</a></div><div style="font-size: 12px; color: #CCCCCC; margin: 0 0 3px 0; overflow: hidden; height: 48px;">'.$custom_fields['glocal_address_country_name'][0].', '.$custom_fields['glocal_address_region_name'][0].', '.$custom_fields['glocal_address_name'][0].'</div><div style="height: 30px;"><a class="map-more-button" style="display: block; height: 27px; width: 188px; text-align: center; background: #A6C12A; color: #FFFFFF; font-weight: bold; line-height: 27px; border: 1px solid #E6E6E6;" href="'.get_permalink().'">Read More</a></div></div></div><style>.map-image img {width: 100px !important; height: 100px !important; border: 1px solid #E6E6E6;} a.map-more-button:hover {background: #FFFFFF !important; color: #A6C12A !important;} a.map-title:hover {color: #A6C12A !important;}</style>';
                                    ?>
                                 <?php endif; ?>
                            <?php endif; ?>
                       <?php endif; ?>
                <?php endif; ?>
            <?php endif; ?>
        <?php endif; ?>
    <?php endif; ?>
<?php endwhile; // end of the loop. ?>

                    <?php if (  $wp_query->max_num_pages > 1 ) : ?>
                        <?php wp_link_pages('before=<div id="page-links">&after=</div>&pagelink=page %'); ?>
                        <?php if(function_exists('glocal_pagenavi')) { glocal_pagenavi(); } ?>
                    <?php endif; ?>

                </div>
            </div><!-- end of .content-container -->
            <div class="sidebar-container container-8">
                <?php get_template_part('/include/html/frame','sidebar')?>
            </div><!-- end of .sidebar-container -->
        </div><!-- end of .zone-content -->
    </div><!-- end of .content-wrapper -->
    <div class="interlayer"></div>
<?php
    remove_filter('option_show_on_front', '__return_false');
    remove_filter( 'posts_where', 'filter_where' );

    wp_reset_query();
    wp_reset_postdata();

    if ($search_count == 0) {
        echo '<script> var $ = jQuery.noConflict(); jQuery(document).ready(function(){ $.goMap.clearMarkers(); $("#map-error").show(); }); </script>';
    } else {
        echo'<script type="text/javascript">'."\n";
        echo'var $ = jQuery.noConflict();'."\n";
        echo'jQuery(document).ready(function(){'."\n";
        echo'var trobber = $("#map-trobber");'."\n";
        echo'trobber.show();'."\n";
        echo'$.goMap.clearMarkers();'."\n";
        for ($index=1; $index <= count($found_companus); $index++) {
            echo'$.goMap.createMarker({ latitude : '.$found_companus[$index][1].', longitude : '.$found_companus[$index][2].', group : "'.$found_companus[$index][3].'", icon : "'.$found_companus[$index][4].'", html : {content:  \''.$found_companus[$index][5].'\'}});'."\n";
        }
        echo'$.goMap.fitBounds();'."\n";
        echo'trobber.fadeOut(500);'."\n";
        echo'});'."\n";
        echo'</script>'."\n";
    }