<div class="content-wrapper">
    <div class="zone-content equalize zone clearfix">
        <div class="content-container container-16">
            <div class="blog block">
                <div class="block-title">
                    <h1>Blog</h1>
                </div>
                <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                    <div class="blog-post-preview" id="post-<?php the_ID(); ?>" >
                        <div class="blog-post-preview-left">
                            <div class="blog-post-date">
                                <div class="day"><?php the_time('d'); ?></div>
                                <div class="month"><?php the_time('F'); ?></div>
                                <div class="year"><?php the_time('Y');?></div>
                            </div>
                        </div>
                        <div class="blog-post-preview-right">
                            <div class="blog-post-image">
                                <a href="<?php the_permalink(); ?>"> <?php the_post_thumbnail() ?></a>
                            </div>
                            <div class="blog-post-description clearfix">
                                <div class="blog-post-title-comments">
                                    <a href="<?php the_permalink(); ?>" class="blog-post-comments"><?php comments_number('0', '1', '%'); ?></a>
                                    <div class="blog-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
                                </div>
                                <div class="blog-post-excerpt"><?php the_excerpt(); ?></div>
                                <div class="blog-post-links">
                                    <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'glocal' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="read-more-link">Read More</a>
                                    <div class="blog-post-author text-green"><?php glocal_posted_author(); ?></div>
                                    <div class="blog-post-category text-green">
                                        <?php if ( count( get_the_category() ) ) : ?>
                                            <?php printf( __( '%2$s', 'glocal' ), '', get_the_category_list( ', ' ) ); ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endwhile; // end of the loop. ?>

                <?php if (  $wp_query->max_num_pages > 1 ) : ?>
                    <?php wp_link_pages('before=<div id="page-links">&after=</div>&pagelink=page %'); ?>
                     <div class="older-posts">
                        <?php next_posts_link( __( ' <input id="button-blog-green" value="Older Entries" />', 'glocal' ) ); ?>
                        <?php previous_posts_link( __( ' <input id="button-blog-green" value="Newer Entries" />', 'glocal' ) ); ?>
                     </div>
                <?php endif; ?>
            </div>
        </div><!-- end of .content-container -->
        <div class="sidebar-container container-8">
            <div class="categories block">
                <div class="block-title">
                    <h3>Categories</h3>
                </div>

                <?php
                //Blog Categories
                $args = array(
                    'type' 			=> 'content',
                    'orderby' 		=> 'name',
                    'order' 		=> 'ASC',
                    'hide_empty'	=> 1,
                    'taxonomy'		=> 'category',
                );
                $categories = get_categories($args);
                ?>

                <ul>
                    <?php foreach ($categories as $category ) : ?>
                        <li>
                            <a href="../category/<?php echo $category->slug; ?>"><?php echo $category->name; ?></a>
                        </li>
                    <?php endforeach; ?>
                </ul>
            </div>
            <?php get_template_part('/include/html/frame','sidebar')?>
            <div class="latest-news block">
                <?php
                /* When we call the dynamic_sidebar() function
                 */
                if ( ! dynamic_sidebar( 'primary-widget-area' ) ) : ?>

                    <div class="block-title">
                        <h3><?php _e( 'Archives', 'glocal' ); ?></h3>
                    </div>

                    <ul class="entries-list">
                        <?php wp_get_archives( 'type=monthly' ); ?>
                    </ul>


                    <div class="block-title">
                        <h3><<?php _e( 'Meta', 'glocal' ); ?></h3>
                    </div>

                    <ul id="meta">
                        <?php wp_register(); ?>
                        <li><?php wp_loginout(); ?></li>
                        <?php wp_meta();
                        the_tags();?>
                    </ul>
                <?php endif; // end primary widget area ?>
            </div>
        </div><!-- end of .sidebar-container -->
    </div><!-- end of .zone-content -->
</div><!-- end of .content-wrapper -->
<div class="interlayer"></div>