<?php
get_template_part('/include/html/frame','search');
get_template_part ('/include/html/str-home', 'map');


parse_str($_SERVER['QUERY_STRING']);



global $wp_query;
query_posts(array(
    'paged' => $wp_query->get('paged'),
    'post_type' => array('company'),
    'company_category' => $company_category,
    'posts_per_page' => $pagination,
    'orderby' => $orderby,
    'order' => $order
));

$count_search_result = 0;
?>
<div class="content-wrapper">
    <div class="zone-content equalize zone clearfix">
        <div class="content-container container-16 ">
            <div class="companies-listings block">
                <div class="block-title">
                    <h1>Search Results</h1>
                </div>
                <?php if(function_exists('glocal_pagenavi')) { glocal_pagenavi(); } ?>

                <?php if ( is_search() ) :	?>
                   <?php _e('Search Results for', 'glocal'); ?>"<?php the_search_query() ?>"
                <?php endif; ?>




                <div class="company-sorting clearfix">

                        <form method="get" action="<?php echo home_url(); ?>/">

                        <input type="hidden" value="<?php echo $s; ?>" name="s" id="sorting-s">
                        <input type="hidden" value="<?php echo $company_category; ?>" name="company_category" id="sorting-categories">
                        <input type="hidden" value="<?php echo $company_category; ?>" name="cat" id="sorting-categories">
                        <input type="hidden" value="<?php echo $where; ?>" name="where" id="sorting-locations">
                        <input type="hidden" value="search" name="search_simple" id="sorting-dir-search">

                        <div class="count">
                            <label for="pagination">Count:</label>
                            <select id="sorting-pagination" name="pagination">
                                <option value="6">6</option>
                                <option value="10">10</option>
                                <option value="20">20</option>
                                <option value="30">30</option>
                                <option value="99999">ALL</option>
                            </select>
                        </div>
                        <div class="def-pagination" style="display:none"><?php echo $pagination; ?></div>

                        <div class="sortby">
                            <label for="orderby">Sort by:</label>
                            <select id="sorting-sortby" name="orderby">
                                <option value="date">Date</option>
                                <option value="title">Title</option>
                            </select>
                        </div>
                        <div class="def-sortby" style="display:none"><?php echo $orderby; ?></div>

                        <div class="sort">
                            <label for="order">Sort:</label>
                            <select id="sorting-sort" name="order">
                                <option value="ASC">∧</option>
                                <option value="DESC">∨</option>
                            </select>
                        </div>
                        <div class="def-sort" style="display:none"><?php echo $order; ?></div>

                        </form>
                </div>
                <script>
                    jQuery(document).ready(function($) {

                        var sorting = $('.company-sorting'),
                            form = sorting.find('form'),
                            count = sorting.find('#sorting-pagination'),
                            sortby = sorting.find('#sorting-sortby'),
                            sort = sorting.find('#sorting-sort');

                        var values = { };
                        values.count = sorting.find('.def-pagination').html();
                        values.sortby = sorting.find('.def-sortby').html();
                        values.sort = sorting.find('.def-sort').html();

                        count.val(values.count);
                        sortby.val(values.sortby);
                        sort.val(values.sort);

                        count.change(function(event) {
                            form.submit();
                        });
                        sortby.change(function(event) {
                            form.submit();
                        });
                        sort.change(function(event) {
                            form.submit();
                        });

                    });
                </script>



                <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                    <?php
                        $custom_fields = get_post_custom();
                        $search_where = $custom_fields['glocal_address_country_name'][0].' '.$custom_fields['glocal_address_region_name'][0].' '.$custom_fields['glocal_address_name'][0];
                        $where =  strtolower($_GET['where']);
                        if ($where){
                        $search_where_str = strtolower($search_where);
                        $result = strpos($search_where_str, $where, 0);

                        }
                    ?>
                    <?php if ($result !== false):?>
                                        <div id="post-<?php the_ID(); ?>" class="company-listing clearfix">
                                            <a href="<?php the_permalink(); ?>" class="listing-image">
                                                <?php
                                                if( has_post_thumbnail() ) {
                                                    the_post_thumbnail();
                                                } else {

                                                    echo '<img src="'.get_template_directory_uri().'/images/content/blank.png" alt="" />';
                                                }
                                                ?>
                                            </a>
                                            <div class="listing-body">
                                                <div class="listing-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
                                                <div class="listing-text" style="overflow: hidden; height: 70px;"><?php $custom_fields = get_post_custom();  echo $custom_fields['glocal_company_doc_desc'][0]; ?></div>
                                                <a href="<?php the_permalink(); ?>" class="listing-read-more">Read More</a> <?php edit_post_link( __( '(Edit)', 'glocal' ), '<span class="edit-link">', '</span>' ); ?>
                                            </div>
                                        </div>

                    <?php
                    $count_search_result++;
                    endif; ?>
                <?php endwhile; // end of the loop. ?>

                <?php if (  $wp_query->max_num_pages > 1 ) : ?>
                    <?php wp_link_pages('before=<div id="page-links">&after=</div>&pagelink=page %'); ?>
                    <?php if(function_exists('glocal_pagenavi')) { glocal_pagenavi(); } ?>
                <?php endif; ?>
            </div>
        </div><!-- end of .content-container -->
        <div class="sidebar-container container-8">
            <?php get_template_part('/include/html/frame','sidebar')?>
        </div><!-- end of .sidebar-container -->
    </div><!-- end of .zone-content -->
</div><!-- end of .content-wrapper -->
<div class="interlayer"></div>