<?php

get_template_part('/include/html/frame','search');
get_template_part ('/include/html/str-home', 'map');
global $wp_query;
query_posts(array(
    'paged' => $wp_query->get('paged'),
    'post_type' => array('company'),
    'posts_per_page' => 5
));

?>

<div class="content-wrapper">
    <div class="zone-content equalize zone clearfix">
        <div class="content-container container-16 ">
            <div class="companies-listings block">
                <div class="block-title">
                    <h1><?php echo __('Search Results','glocal_site'); ?></h1>
                </div>
                <?php if(function_exists('glocal_pagenavi')) { glocal_pagenavi(); } ?>

                <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                    <div id="post-<?php the_ID(); ?>" class="company-listing clearfix">
                        <a href="<?php the_permalink(); ?>" class="listing-image">
                            <?php
                            if( has_post_thumbnail() ) {
                                the_post_thumbnail('companyall-thumbnails');
                            } else {

                                echo '<img src="'.get_template_directory_uri().'/images/content/blank.png" alt="" />';
                            }
                            ?>
                        </a>
                        <div class="listing-body">
                            <div class="listing-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
                            <div class="listing-text" style="overflow: hidden; height: 70px;">
                                <?php
                                    $custom_fields = get_post_custom();
                                if(isset($custom_fields['glocal_company_doc_desc'][0])){
                                    echo $custom_fields['glocal_company_doc_desc'][0];
                                }
                                ?>
                            </div>
                            <a href="<?php the_permalink(); ?>" class="listing-read-more"><?php echo __('Read More','glocal_site'); ?></a> <?php edit_post_link( __( '(Edit)', 'glocal_site' ), '<span class="edit-link">', '</span>' ); ?>
                        </div>
                    </div>
                <?php endwhile; // end of the loop. ?>
                <?php if (  $wp_query->max_num_pages > 1 ) : ?>
                    <?php wp_link_pages('before=<div id="page-links">&after=</div>&pagelink=page %'); ?>
                    <?php if(function_exists('glocal_pagenavi')) { glocal_pagenavi(); } ?>
                <?php endif; ?>
            </div>
        </div><!-- end of .content-container -->
        <div class="sidebar-container container-8">
            <?php get_template_part('/include/html/frame','sidebar')?>
        </div><!-- end of .sidebar-container -->
    </div><!-- end of .zone-content -->
</div><!-- end of .content-wrapper -->
<div class="interlayer"></div>