<?php
/*
Template Name: Blog
*/

get_header();

add_filter('option_show_on_front', '__return_false');
global $wp_query;
query_posts(array(
    'paged' => $wp_query->get('paged'),
    'post_type' => array('post'),
    'posts_per_page' => 5
));
//Get variables Glocal_Options
//Site options
$opt_glocal_boxed_version = get_option('opt_glocal_boxed_version');
?>
<section class="section content <?php if($opt_glocal_boxed_version == 'yes') {echo 'boxed';} else { echo '';}; ?>">
    <?php get_template_part('loop-blog'); ?>
</section>
<?php
remove_filter('option_show_on_front', '__return_false');

wp_reset_query();
wp_reset_postdata();

get_template_part ('footer');


