<?php
/*
Template Name: Contact us
*/
get_header();
the_post();

//Get variables Glocal_Options
//Site options
$opt_glocal_boxed_version = get_option('opt_glocal_boxed_version');
//company info
$opt_glocal_company_email = get_option('opt_glocal_company_email');
$opt_glocal_company_phone = get_option('opt_glocal_company_phone');
$opt_glocal_company_fax = get_option('opt_glocal_company_fax');
$opt_glocal_company_address = get_option('opt_glocal_company_address');
$opt_glocal_company_website = get_option('opt_glocal_company_website');
$opt_glocal_company_address_lat = get_option('opt_glocal_company_address_lat');
$opt_glocal_company_address_lng = get_option('opt_glocal_company_address_lng');
//company opening
$opt_glocal_company_1int_day = get_option('opt_glocal_company_1int_day');
$opt_glocal_company_1int_hr = get_option('opt_glocal_company_1int_hr');
$opt_glocal_company_2int_day = get_option('opt_glocal_company_2int_day');
$opt_glocal_company_2int_hr = get_option('opt_glocal_company_2int_hr');
$opt_glocal_company_3int_day = get_option('opt_glocal_company_3int_day');
$opt_glocal_company_3int_hr = get_option('opt_glocal_company_3int_hr');
$opt_glocal_company_4int_day = get_option('opt_glocal_company_4int_day');
$opt_glocal_company_4int_hr = get_option('opt_glocal_company_4int_hr');
//Show Post
global $post;
$args = array(
    'orderby' 		=> 'name',
    'order' 		=> 'DESC',
    'numberposts'     => 0,
    'post_type'       => 'content'
);
$portfolio_items = get_posts($args);

    setup_postdata($post);
    //Select the Pictures Item cateories
    $terms = get_the_terms( $post->ID, 'content_category' );
    $item_cats = array();
    $item_cats_slugs = array();

    if(is_array($terms)) {
        foreach ($terms as $term ) {
            $item_cats[] = $term->name;
            $item_cats_slugs[] = $term->slug;
        }
    }
    $item_cats_str = join("/", $item_cats);
    $item_cats_class = join(" ", $item_cats_slugs);
    //Select Custom Fields
    $custom = get_post_custom($post->ID);
if(isset($custom[$shortname . '_content_type'][0])){
    $item_type = $custom[$shortname . '_content_type'][0];
}
if(isset($custom[$shortname . '_content_name'][0])){
    $item_name = $custom[$shortname . '_content_name'][0];
}
if(isset($custom[$shortname . '_content_position'][0])){
    $item_position = $custom[$shortname . '_content_position'][0];
}
if(isset($custom[$shortname . '_content_doc_desc'][0])){
    $item_desc = $custom[$shortname . '_content_doc_desc'][0];
}
if(isset($custom[$shortname . '_content_soc_fb'][0])){
    $item_soc_fb =  $custom[$shortname . '_content_soc_fb'][0];
}
if(isset($custom[$shortname . '_content_soc_tw'][0])){
    $item_soc_tw =  $custom[$shortname . '_content_soc_tw'][0];
}
if(isset($custom[$shortname . '_content_soc_gp'][0])){
    $item_soc_gp =  $custom[$shortname . '_content_soc_gp'][0];
}
?>

    <section class="section content <?php if($opt_glocal_boxed_version == 'yes') {echo 'boxed';} else { echo '';}; ?>">
        <div class="content-wrapper">
            <div class="zone-content equalize zone clearfix">
                <div class="content-container container-16">
                    <div class="contact-us block">
                        <div class="block-title">
                            <h1><?php echo __('Contact Us','glocal_site'); ?></h1>
                        </div>
                        <div class="comment-message">
                            <div class="comment-message-title">
                                <?php echo __('Send Us a','glocal_site'); ?> <span class="text-green"><?php echo __('Message','glocal_site'); ?></span>
                            </div>
                            <form method="post" id="contact-message-form">
                                <input type="text" name="name" class="text-input-grey name" placeholder="  <?php echo __('Name','glocal_site'); ?> *" />
                                <input type="text" name="email" class="text-input-grey email" placeholder="  <?php echo __('E-mail','glocal_site'); ?> *" />
                                <input type="text" name="website" class="text-input-grey website" placeholder="  <?php echo __('Website','glocal_site'); ?>" />
                                <textarea name="message" class="text-input-grey comment-message-main" placeholder="  <?php echo __('Your Comments Here','glocal_site'); ?>"></textarea>
                                <input type="submit" name="submit" value="Send Message" id="button-2-green" />
                                <?php /*Use Verification form*/ wp_nonce_field('send_mail_glocal', 'noncename_glocal' ); ?>
                            </form>


                        </div>
                    </div>
                    <div class="separator"></div>
                    <div class="company-details block">
                        <div class="company-address">
                            <div class="details-title"><?php echo __('Address Details','glocal_site'); ?>: </div>
                            <?php if($opt_glocal_company_address):?>
                                <div id="company-page-address" class="detail address"><?php echo $opt_glocal_company_address; ?></div>
                            <?php endif; ?>
                            <?php if($opt_glocal_company_phone OR $opt_glocal_company_fax):?>
                                <div class="detail phone">
                                    <?php if($opt_glocal_company_fax): ?>
                                        <?php echo __('Phone','glocal_site'); ?>: <?php echo $opt_glocal_company_phone; ?>
                                    <?php endif; ?>
                                    <?php if($opt_glocal_company_fax): ?>
                                        <br/> <?php echo __('Fax','glocal_site'); ?>: <?php echo $opt_glocal_company_fax; ?>
                                    <?php endif; ?>
                                </div>
                            <?php endif; ?>
                            <?php if($opt_glocal_company_email OR $opt_glocal_company_website ):?>
                                <div class="detail email">
                                    <?php if($opt_glocal_company_email): ?>
                                        <?php echo __('Fax','glocal_site'); ?>: <a href="mailto:<?php echo $opt_glocal_company_email; ?>" class="text-green"><?php echo $opt_glocal_company_email; ?></a>
                                    <?php endif; ?>
                                    <br />
                                    <?php if($opt_glocal_company_website): ?>
                                        <?php echo __('Website','glocal_site'); ?>: <a href="<?php echo $opt_glocal_company_website; ?>" class="text-green"> <?php echo $opt_glocal_company_website; ?></a>
                                    <?php endif; ?>
                                </div>
                            <?php endif; ?>
                        </div>
                        <div class="company-hours">
                            <div class="details-title"><?php echo __('Opening Hours','glocal_site'); ?>: </div>

                            <?php if($opt_glocal_company_1int_day): ?>
                                <div class="detail">
                                    <span class="detail-label"><?php echo $opt_glocal_company_1int_day; ?></span><?php echo $opt_glocal_company_1int_hr; ?>
                                </div>
                            <?php endif; ?>

                            <?php if($opt_glocal_company_2int_day): ?>
                                <div class="detail">
                                    <span class="detail-label"><?php echo $opt_glocal_company_2int_day; ?></span><?php echo $opt_glocal_company_2int_hr; ?>
                                </div>
                            <?php endif; ?>

                            <?php if($opt_glocal_company_3int_day): ?>
                                <div class="detail">
                                    <span class="detail-label"><?php echo $opt_glocal_company_3int_day; ?></span><?php echo $opt_glocal_company_3int_hr; ?>
                                </div>
                            <?php endif; ?>

                            <?php if($opt_glocal_company_4int_day): ?>
                                <div class="detail">
                                    <span class="detail-label"><?php echo $opt_glocal_company_4int_day; ?></span><?php echo $opt_glocal_company_4int_hr; ?>
                                </div>
                            <?php endif; ?>
                        </div>
                        <div class="clearfix"></div>
                        <div id="markers_center" style="display: none">
                            <div class="latitude"><?php echo $opt_glocal_company_address_lat;?></div>
                            <div class="longitude"><?php echo $opt_glocal_company_address_lng;?></div>
                        </div>
                        <div id="company-page-map" style="width: 100%; height: 250px"></div>
                    </div>
                </div><!-- end of .content-container -->
                <div class="sidebar-container container-8">
                    <?php get_template_part('/include/html/frame','sidebar')?>
                </div><!-- end of .sidebar-container -->
            </div><!-- end of .zone-content -->
        </div><!-- end of .content-wrapper -->
    </section>

<?php get_template_part ('footer');