<?php
/*
Template Name: Submit listing
*/
get_header();
the_post();


//Get variables Glocal_Options
//Site options
$opt_glocal_boxed_version = get_option('opt_glocal_boxed_version');
$opt_glocal_home_version = get_option('opt_glocal_home_version');
//Package options
$opt_glocal_pp_type = get_option('opt_glocal_pp_type');
$opt_glocal_pp_currency = get_option('opt_glocal_pp_currency');
if($opt_glocal_pp_currency == "USD"){
    $opt_glocal_pp_currency = "$";
}
$opt_glocal_acc_1_active = get_option('opt_glocal_acc_1_active');
$opt_glocal_acc_1_name = get_option('opt_glocal_acc_1_name');
$opt_glocal_acc_1_price = get_option('opt_glocal_acc_1_price');
$opt_glocal_acc_1_period = get_option('opt_glocal_acc_1_period');
$opt_glocal_acc_1_expr = get_option('opt_glocal_acc_1_expr');
$opt_glocal_acc_1_items = get_option('opt_glocal_acc_1_items');

$opt_glocal_acc_2_active = get_option('opt_glocal_acc_2_active');
$opt_glocal_acc_2_name = get_option('opt_glocal_acc_2_name');
$opt_glocal_acc_2_price = get_option('opt_glocal_acc_2_price');
$opt_glocal_acc_2_period = get_option('opt_glocal_acc_2_period');
$opt_glocal_acc_2_expr = get_option('opt_glocal_acc_2_expr');
$opt_glocal_acc_2_items = get_option('opt_glocal_acc_2_items');

$opt_glocal_acc_3_active = get_option('opt_glocal_acc_3_active');
$opt_glocal_acc_3_name = get_option('opt_glocal_acc_3_name');
$opt_glocal_acc_3_price = get_option('opt_glocal_acc_3_price');
$opt_glocal_acc_3_period = get_option('opt_glocal_acc_3_period');
$opt_glocal_acc_3_expr = get_option('opt_glocal_acc_3_expr');
$opt_glocal_acc_3_items = get_option('opt_glocal_acc_3_items');
?>
<section class="section content <?php if($opt_glocal_boxed_version == 'yes') {echo 'boxed';} else { echo '';}; ?>">
    <div class="content-wrapper">

        <div class="zone-content equalize zone clearfix">
            <div class="project-header-container container-16">

                <div class="pricing block">
                    <div class="block-title">
                        <h1><?php echo __('Our prices','glocal_site'); ?></h1>
                    </div>
                    <div class="pricing-table clearfix">
                        <?php if($opt_glocal_acc_1_active == "true"):?>
                            <div class="pricing-column">
                                <div class="pricing-header"><?php echo $opt_glocal_acc_1_name; ?></div>
                                <div class="pricing-cost"><span class="text-green"><?php if($opt_glocal_acc_1_price == "0"){echo __('Free','glocal_site');}else {echo $opt_glocal_acc_1_price.$opt_glocal_pp_currency;} ?></span><?php if($opt_glocal_pp_type == "single"){echo "";} else {echo '/'.$opt_glocal_acc_1_period;}?></div>
                                <div class="pricing-cell"><?php if($opt_glocal_acc_1_items == "0"){echo "Unlimited";}else{echo $opt_glocal_acc_1_items;}?> <?php echo __('Company','glocal_site'); ?> </div>
                                <div class="pricing-cell"><?php echo __('Period of use','glocal_site'); ?> <?php if($opt_glocal_acc_1_expr == "0"){ echo __('Unlimited','glocal_site');}else{ echo $opt_glocal_acc_1_expr.__('days','glocal_site');} ?></div>
                            </div>
                        <?php endif; ?>
                        <?php if($opt_glocal_acc_2_active == "true"):?>
                            <div class="pricing-column">
                                <div class="pricing-header"><?php echo $opt_glocal_acc_2_name; ?></div>
                                <div class="pricing-cost"><span class="text-green"><?php if($opt_glocal_acc_2_price == "0"){echo __('Free','glocal_site');}else {echo $opt_glocal_acc_2_price.$opt_glocal_pp_currency;} ?></span><?php if($opt_glocal_pp_type == "single"){echo "";} else {echo '/'.$opt_glocal_acc_2_period;}?></div>
                                <div class="pricing-cell"><?php if($opt_glocal_acc_2_items == "0"){echo "Unlimited";}else{echo $opt_glocal_acc_2_items;}?> <?php echo __('Company','glocal_site'); ?> </div>
                                <div class="pricing-cell"><?php echo __('Period of use','glocal_site'); ?> <?php if($opt_glocal_acc_2_expr == "0"){ echo __('Unlimited','glocal_site');}else{ echo $opt_glocal_acc_2_expr.__('days','glocal_site');} ?></div>
                            </div>
                        <?php endif; ?>
                        <?php if($opt_glocal_acc_3_active == "true"):?>
                            <div class="pricing-column">
                                <div class="pricing-header"><?php echo $opt_glocal_acc_3_name; ?></div>
                                <div class="pricing-cost"><span class="text-green"><?php if($opt_glocal_acc_3_price == "0"){echo __('Free','glocal_site');}else {echo $opt_glocal_acc_3_price.$opt_glocal_pp_currency;} ?></span><?php if($opt_glocal_pp_type == "single"){echo "";} else {echo '/'.$opt_glocal_acc_3_period;}?></div>
                                <div class="pricing-cell"><?php if($opt_glocal_acc_3_items == "0"){echo "Unlimited";}else{echo $opt_glocal_acc_3_items;}?> <?php echo __('Company','glocal_site'); ?> </div>
                                <div class="pricing-cell"><?php echo __('Period of use','glocal_site'); ?> <?php if($opt_glocal_acc_3_expr == "0"){ echo __('Unlimited','glocal_site');}else{ echo $opt_glocal_acc_3_expr.__('days','glocal_site');} ?></div>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>


                <?php
                if ( is_user_logged_in() ){
                    ?>

                    <div class="our-directory block">
                        <div class="block-title" id="register">
                            <h1><?php echo __('Our Directory','glocal_site'); ?></h1>
                        </div>
                        <form class="subscription-table">
                            <div id="subscription-options">
                                <div class="subscription-column">
                                    <div class="subscription-body-widget">
                                        <?php global $wp_roles; $currUser = wp_get_current_user();

                                        echo get_avatar( $currUser->ID ).'<br/>';

                                        ?>
                                    </div>
                                </div>
                                <div class="subscription-column">
                                    <div class="subscription-body-widget">
                                        <div class="widget_glocal">
                                            <?php echo  '<span>'.__('Username: ','glocal_site').'</span>'.$currUser->user_nicename .'<br/>';
                                            if(isset($currUser->roles[0])){
                                                echo '<span>'.__('Account: ','glocal_site').'</span>'.$wp_roles->role_names[$currUser->roles[0]];
                                            }
                                            echo '<br/><br/>';
                                            if (!in_array('subscriber', $currUser->roles)) {
                                                echo '<a href="'.admin_url('edit.php?post_type=company').'" title="Items" class="widgetlogin-button-myitems">'.__('Items','glocal_site').'</a>';
                                            }
                                            echo '<a href="'.admin_url('profile.php').'" title="Account" class="widgetlogin-button-account">'.__('Account','glocal_site').'</a>';
                                            echo '<a href="'.wp_logout_url(get_permalink()).'" title="Logout" class="widgetlogin-button-logout">'.__('Logout','glocal_site').'</a>';
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                <?php
                } else {
                    ?>
                    <div class="our-directory block">
                        <div class="block-title" id="register">
                            <h1><?php echo __('Register Now!','glocal_site'); ?></h1>
                        </div>
                        <form class="subscription-table" action="<?php echo home_url('/?submit-listing=register'); ?>" method="post">
                            <div id="subscription-options">
                                <div class="subscription-column">
                                    <div class="subscription-header"><?php echo __('Step','glocal_site'); ?> 1: <span class="text-green"><?php echo __('Register','glocal_site'); ?></span></div>
                                    <div class="subscription-body">
                                        <?php echo __('Login details:','glocal_site'); ?> <br />
                                        <input type="text" class="text-input-grey" name="user_login"  placeholder="Login" /><br />
                                        <input type="text" class="text-input-grey" name="user_email" placeholder="E-Mail" /><br />
                                    </div>
                                </div>
                                <div class="subscription-column">
                                    <div class="subscription-header"><?php echo __('Step','glocal_site'); ?> 2: <span class="text-green"><?php echo __('Package','glocal_site'); ?></span></div>
                                    <div class="subscription-body">
                                        <?php echo __('Choose Package:','glocal_site'); ?> <br />
                                        <div class="radio-buttons">
                                            <?php
                                            $pp_currency = get_option('opt_glocal_pp_currency');
                                            $currency = (isset($pp_currency)) ? $pp_currency : 'USD';

                                            $pp_type = get_option('opt_glocal_pp_type');

                                            $account[1][1] = get_option('opt_glocal_acc_1_active');
                                            $account[1][2] = get_option('opt_glocal_acc_1_name');
                                            $account[1][3] =  get_option('opt_glocal_acc_1_price');
                                            $account[1][4] = get_option('opt_glocal_acc_1_period');
                                            $account[2][1] = get_option('opt_glocal_acc_2_active');
                                            $account[2][2] = get_option('opt_glocal_acc_2_name');
                                            $account[2][3] = get_option('opt_glocal_acc_2_price');
                                            $account[2][4] = get_option('opt_glocal_acc_2_period');
                                            $account[3][1] = get_option('opt_glocal_acc_3_active');
                                            $account[3][2] = get_option('opt_glocal_acc_3_name');
                                            $account[3][3] = get_option('opt_glocal_acc_3_price');
                                            $account[3][4] = get_option('opt_glocal_acc_3_period');

                                            for ($i=1; $i <= 3; $i++) {

                                                $free = (trim($account[$i][3]) == '0') ? true : false;
                                                if(isset($account[$i][1])){
                                                    echo '<input type="radio" name="glocal-role" value="glocal_role_'.$i.'"'; if($free) { echo ' class="free"'; } echo '>'.$account[$i][2];
                                                    if(!$free) {
                                                        if (isset($pp_type) && ($pp_type == 'recurr')) {
                                                            echo ' - '.trim($account[$i][3]).' '.$currency.' '.__('per','glocal').' '.$account[$i][4];
                                                        } else {
                                                            echo ' ('.$account[$i][3].' '.$currency.')';
                                                        }
                                                    } else {
                                                        echo ' ('.__('Free','glocal_site').')';
                                                    }
                                                    echo '<br />';
                                                }
                                            }
                                            ?>

                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="subscription-footer">
                                <div class="subscription-background">
                                    <div class="subscription-button-wrapper">
                                        <input type="hidden" name="redirect_to" value="<?php echo home_url(); ?>" />
                                        <input type="submit" class="button-green" value="SUBSCRIBE" name="user-submit" />
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                <?php } ?>

            </div><!-- end of .project-header-container -->
            <div class="sidebar-container container-8">
                <?php get_template_part('/include/html/frame','sidebar')?>
            </div><!-- end of .sidebar-container -->
        </div><!-- end of .zone-content -->
    </div><!-- end of .content-wrapper -->
</section>
<?php get_template_part ('footer');