<?php
/*
Template Name: Sample page
*/
get_header();
the_post();

//Get variables Glocal_Options
//Site options
$opt_glocal_boxed_version = get_option('opt_glocal_boxed_version');
?>

<section class="section content <?php if($opt_glocal_boxed_version == 'yes') {echo 'boxed';} else { echo '';}; ?>">
    <div class="content-wrapper">
        <div class="zone-content zone clearfix">
            <div class="project-header-container container-24">
                <div class="project-header block">
                    <div class="block-title">
                        <h1><?php the_title(); ?></h1>
                    </div>
                    <div class="project-image">
                        <?php the_post_thumbnail(array(952, 392), array('title' => strip_tags($post->post_title), 'alt' => strip_tags($post->post_title))); ?>
                    </div>
                </div>
            </div>
            <div class="project-body-container container-16">
                <div class="project-body block">
                    <?php the_content() ?>
                </div>
            </div>
            <div class="sidebar-container container-8">
                <?php get_template_part('/include/html/frame','sidebar')?>
            </div><!-- end of .sidebar-container -->
        </div><!-- end of .zone-content -->
    </div><!-- end of .content-wrapper -->
</section>
<?php get_template_part ('footer');