var $ = jQuery.noConflict();
/* global document */
jQuery(document).ready(function(){

if (jQuery("#map").length && (jQuery("#markers_count").html() != 0)) {
    /* Hiding all the markers on the map. */
    for (var i in $.goMap.markers) {
        if (this[i] !== 0) {
            $.goMap.showHideMarker(jQuery.goMap.markers[i], false);
        }
    }

    var category = jQuery("#markers_center").find(".category").html();
    var company_category_search = jQuery("#company_category_search").html();
    if (company_category_search) {
        category = company_category_search;
    }
    if (category) {
        jQuery.goMap.showHideMarkerByGroup(category, true);
        var active_cat = jQuery('#industries-tabs ul').find("li.active").find("a").attr("id");
        if (active_cat != category) {
            jQuery('#industries-tabs ul li').removeClass('active');
            var category_container = 'a.' + category
            jQuery('#industries-tabs ul li').find(category_container).parent().addClass('active');
        }

    } else {
        var active_cat = jQuery('#industries-tabs ul').find("li.active").find("a").attr("id");
        jQuery.goMap.showHideMarkerByGroup(active_cat, true);

    }

    if(jQuery("#industries-tabs").length ) {

        /* Processing clicks on the tabs under the map. Revealing corresponding to each tab markers. */
        jQuery('#industries-tabs ul li a').click(function(event) {
            /* Preventing default link action */
            event.preventDefault();


            jQuery('#category-selector-default').val($(this).attr('class'));
            jQuery('.jquery-selectbox-currentItem').html($(this).attr('title'));
            jQuery('#scategory-input-default').val($(this).attr('class'));



            if (jQuery("#hide-map-button").hasClass("map-expanded")) {
                ajaxGetMarkers();
            }

            /* Getting current marker group name. Link ID's and marker group names must coincide. */
            var markerGroup = jQuery(this).attr('id');
            /* Changing current active tab. */
            jQuery('#industries-tabs ul li').removeClass('active');
            jQuery(this).parent().addClass('active');
            /* Hiding all the markers on the map. */
            for (var i in jQuery.goMap.markers) {
                if (this[i] !== 0) {
                    jQuery.goMap.showHideMarker(jQuery.goMap.markers[i], false);
                }
            }
            /* Revealing markers from the corresponding group. */
            jQuery.goMap.showHideMarkerByGroup(markerGroup, true);

        });
    } else {
        jQuery.goMap.showHideMarkerByGroup("nocat", true);
    }
}
});